;; c99-tab.scm

;; Copyright (C) 2016-2020 Matthew R. Wette
;; 
;; This library is free software; you can redistribute it and/or
;; modify it under the terms of the GNU Lesser General Public
;; License as published by the Free Software Foundation; either
;; version 3 of the License, or (at your option) any later version.
;; See the file COPYING included with the this distribution.

(define c99-mtab
  '(($start . 246) ($pragma . 3) (cpp-stmt . 4) ($lone-comm . 5) ($code-comm 
    . 6) ($chlit/U . 7) ($chlit/u . 8) ($chlit/L . 9) ($chlit . 10) ($float . 
    11) ($ident . 12) ($string . 13) ("__goto__" . 14) ("__volatile__" . 15) 
    ("__asm__" . 16) ("return" . 17) ("break" . 18) ("continue" . 19) ("goto" 
    . 20) ("for" . 21) ("do" . 22) ("while" . 23) ("switch" . 24) ("else" . 25
    ) (then . 26) ("if" . 27) ("default" . 28) ("case" . 29) (typename . 30) 
    ("..." . 31) ($fixed . 32) ("__alignof__" . 33) ("__aligned__" . 34) 
    ("__packed__" . 35) ("__attribute__" . 36) ("_Noreturn" . 37) ("inline" . 
    38) ("restrict" . 39) ("volatile" . 40) ("const" . 41) ("enum" . 42) 
    ("union" . 43) ("struct" . 44) ("_Sat" . 45) ("_Accum" . 46) ("_Fract" . 
    47) ("_Complex" . 48) ("_Float128" . 49) ("double" . 50) ("float" . 51) 
    ("char" . 52) ("unsigned" . 53) ("long" . 54) ("signed" . 55) ("int" . 56)
    (imp . 57) ("short" . 58) ("__typeof__" . 59) ("__typeof" . 60) ("typeof" 
    . 61) ("_Bool" . 62) ("void" . 63) ("typedef" . 64) ("static" . 65) 
    ("register" . 66) ("extern" . 67) ("auto" . 68) (reduce-on-semi . 69) 
    (reduce-on-attr . 70) (shift-on-attr . 71) (";" . 72) ("|=" . 73) ("^=" . 
    74) ("&=" . 75) (">>=" . 76) ("<<=" . 77) ("%=" . 78) ("/=" . 79) ("*=" . 
    80) ("-=" . 81) ("+=" . 82) ("=" . 83) (":" . 84) ("?" . 85) ("||" . 86) 
    ("&&" . 87) ("|" . 88) ("^" . 89) ("!=" . 90) ("==" . 91) (">=" . 92) 
    ("<=" . 93) (">" . 94) ("<" . 95) (">>" . 96) ("<<" . 97) ("%" . 98) 
    ("/" . 99) ("!" . 100) ("~" . 101) ("-" . 102) ("+" . 103) ("*" . 104) 
    ("&" . 105) ("__builtin_offsetof" . 106) ("_Alignof" . 107) ("sizeof" . 
    108) ("," . 109) ("--" . 110) ("++" . 111) ("->" . 112) ("." . 113) 
    ("]" . 114) ("[" . 115) ("}" . 116) ("{" . 117) (")" . 118) ("(" . 119) 
    ($error . 2) ($end . 121)))

(define c99-ntab
  '((122 . string-literal-1) (123 . $P6) (124 . $P5) (125 . 
    function-definition) (126 . external-declaration) (127 . 
    external-declaration-list) (128 . asm-gotos-1) (129 . asm-clobbers-1) 
    (130 . asm-input) (131 . asm-inputs-1) (132 . asm-output) (133 . 
    asm-outputs-1) (134 . asm-gotos) (135 . asm-clobbers) (136 . asm-inputs) 
    (137 . asm-outputs) (138 . opt-asm-qualifiers) (139 . opt-expression) 
    (140 . initial-clause) (141 . declaration) (142 . block-item) (143 . $P4) 
    (144 . $P3) (145 . statement) (146 . cpp-statement) (147 . pragma) 
    (148 . asm-statement) (149 . jump-statement) (150 . iteration-statement) 
    (151 . selection-statement) (152 . expression-statement) (153 . 
    compound-statement) (154 . labeled-statement) (155 . designator) (156 . 
    designator-list) (157 . designation) (158 . direct-abstract-declarator) 
    (159 . specifier-qualifier-list/no-attr) (160 . identifier-list-1) 
    (161 . parameter-declaration) (162 . parameter-list) (163 . 
    type-qualifier-list-1) (164 . identifier-list) (165 . parameter-type-list)
    (166 . type-qualifier-list) (167 . direct-declarator) (168 . pointer) 
    (169 . asm-expression) (170 . initializer) (171 . init-declarator-1) 
    (172 . init-declarator) (173 . init-declarator-list-1) (174 . 
    attribute-expr) (175 . attr-expr-list-1) (176 . attr-expr-list) (177 . 
    attr-word) (178 . attribute) (179 . attribute-list-1) (180 . attr-name) 
    (181 . attribute-list) (182 . enumerator) (183 . enumerator-list) (184 . 
    declarator) (185 . struct-declarator-1) (186 . struct-declarator) (187 . 
    specifier-qualifier-list/no-attr-1) (188 . specifier-qualifier-list-1) 
    (189 . struct-declarator-list) (190 . specifier-qualifier-list) (191 . 
    struct-declaration-no-comment) (192 . lone-comment) (193 . 
    struct-declaration) (194 . attribute-specifiers) (195 . 
    struct-declaration-list) (196 . ident-like) (197 . opt-attr-specs) 
    (198 . typedef-name) (199 . enum-specifier) (200 . 
    struct-or-union-specifier) (201 . complex-type-specifier) (202 . 
    fixpt-type-specifier) (203 . float-type-specifier) (204 . 
    fixed-type-specifier) (205 . attribute-specifier) (206 . 
    function-specifier) (207 . type-qualifier) (208 . type-specifier) (209 . 
    storage-class-specifier) (210 . declaration-specifiers-1) (211 . 
    init-declarator-list) (212 . code-comment) (213 . declaration-no-comment) 
    (214 . assignment-operator) (215 . conditional-expression) (216 . 
    logical-or-expression) (217 . logical-and-expression) (218 . 
    bitwise-or-expression) (219 . bitwise-xor-expression) (220 . 
    bitwise-and-expression) (221 . equality-expression) (222 . 
    relational-expression) (223 . shift-expression) (224 . additive-expression
    ) (225 . multiplicative-expression) (226 . constant-expression) (227 . 
    cast-expression) (228 . unary-operator) (229 . unary-expression) (230 . 
    abstract-declarator) (231 . declaration-specifiers) (232 . arg-expr-hack) 
    (233 . assignment-expression) (234 . initializer-list) (235 . type-name) 
    (236 . argument-expression-list) (237 . postfix-expression) (238 . 
    primary-expression) (239 . $P2) (240 . block-item-list) (241 . $P1) 
    (242 . expression) (243 . string-literal) (244 . constant) (245 . 
    identifier) (246 . translation-unit)))

(define c99-len-v
  #(1 1 1 1 3 7 0 0 1 4 4 3 3 3 2 2 6 7 1 3 1 3 2 1 1 2 2 2 2 4 4 6 1 1 1 1 1
    1 1 4 1 3 3 3 1 3 3 1 3 3 1 3 3 3 3 1 3 3 1 3 1 3 1 3 1 3 1 3 1 5 1 3 1 1 
    1 1 1 1 1 1 1 1 1 1 3 1 2 3 2 1 1 1 2 1 2 1 2 1 2 1 2 1 1 1 1 1 1 1 1 1 1 
    1 1 1 1 4 4 4 4 4 4 1 2 2 3 1 1 2 1 2 2 3 2 3 3 4 3 2 2 1 3 2 4 3 1 2 2 1 
    1 2 1 1 2 2 3 2 1 2 3 2 3 3 2 3 2 1 2 3 2 3 3 2 3 3 2 3 4 3 4 4 3 4 3 2 3 
    4 3 4 4 3 4 6 5 3 6 5 3 1 1 0 1 1 1 2 2 1 2 2 3 2 1 1 1 2 1 2 1 2 1 1 2 1 
    2 1 3 4 1 1 2 3 2 5 6 4 5 2 1 3 1 2 3 4 1 1 1 1 1 1 2 6 1 1 1 1 1 1 3 2 1 
    4 1 1 1 1 1 3 1 1 1 1 4 1 1 3 4 1 1 3 2 4 2 4 3 2 1 3 2 3 2 2 1 1 3 4 5 4 
    4 3 6 6 5 4 4 4 3 1 1 2 1 3 1 3 2 2 1 3 1 1 3 2 1 2 1 1 3 4 3 5 4 4 3 6 5 
    6 4 3 2 4 3 3 2 5 4 5 3 1 1 3 4 2 1 4 3 2 1 2 3 2 1 1 1 1 1 1 1 1 1 3 4 4 
    3 5 2 0 0 1 2 1 1 2 1 5 7 5 5 7 8 2 1 1 0 1 3 2 2 3 2 2 5 6 7 8 9 0 1 1 1 
    1 1 1 2 3 4 7 1 1 2 3 4 7 1 1 2 3 1 1 2 3 1 0 2 1 1 1 1 1 7 1 0 0 3 1 1 1 
    1 1 1 1 1 1 2 1 1 1 1))

(define c99-rto-v
  #(#f 238 238 238 238 238 241 239 237 237 237 237 237 237 237 237 237 237 
    236 236 236 236 232 232 229 229 229 229 229 229 229 229 228 228 228 228 
    228 228 227 227 225 225 225 225 224 224 224 223 223 223 222 222 222 222 
    222 221 221 221 220 220 219 219 218 218 217 217 216 216 215 215 233 233 
    214 214 214 214 214 214 214 214 214 214 214 242 242 226 141 141 213 213 
    231 210 210 210 210 210 210 210 210 210 210 209 209 209 209 209 208 208 
    208 208 208 208 208 208 208 208 208 208 208 208 208 204 204 204 204 204 
    204 204 204 204 204 204 204 204 204 204 204 204 204 204 204 204 204 204 
    204 204 204 203 203 203 203 201 201 201 201 202 202 202 202 202 202 202 
    202 202 202 202 202 202 202 202 202 202 202 202 202 202 202 202 202 202 
    202 202 202 202 202 202 202 202 202 202 202 200 200 200 200 200 200 196 
    196 197 197 195 195 195 195 195 195 193 193 191 191 190 188 188 188 188 
    188 188 159 187 187 187 187 189 189 189 186 185 185 185 185 199 199 199 
    199 199 183 183 182 182 182 182 207 207 207 206 206 194 194 205 205 180 
    180 180 181 179 179 179 178 178 178 177 177 176 175 175 174 174 174 174 
    174 211 173 173 173 172 171 171 171 171 171 171 171 184 184 168 168 168 
    168 168 168 167 167 167 167 167 167 167 167 167 167 167 167 167 167 166 
    163 163 165 165 162 162 161 161 161 161 164 160 160 235 235 230 230 230 
    158 158 158 158 158 158 158 158 158 158 158 158 158 158 158 158 158 158 
    158 158 158 198 170 170 170 234 234 234 234 157 156 156 155 155 145 145 
    145 145 145 145 145 145 145 154 154 154 154 153 153 144 143 240 240 142 
    142 152 152 151 151 151 150 150 150 140 140 140 139 139 149 149 149 149 
    149 148 169 169 169 169 169 138 138 138 138 138 137 133 133 133 132 132 
    136 131 131 131 130 130 135 129 129 129 134 128 128 128 246 127 127 126 
    126 126 126 126 126 126 124 123 125 245 244 244 244 244 244 244 243 122 
    122 212 192 146 147))

(define c99-pat-v
  #(((127 . 1) (246 . 2) (5 . -429) (4 . -429) (3 . -429) (1 . -429)) 
    ((30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) 
    (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) 
    (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) (180 . 23) (36 . 24) 
    (37 . 25) (38 . 26) (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) 
    (61 . 32) (198 . 33) (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38)
    (203 . 39) (204 . 40) (63 . 41) (64 . 42) (65 . 43) (66 . 44) (68 . 45) 
    (205 . 46) (206 . 47) (207 . 48) (208 . 49) (209 . 50) (210 . 51) (3 . 52)
    (4 . 53) (5 . 54) (231 . 55) (213 . 56) (72 . 57) (67 . 58) (147 . 59) 
    (146 . 60) (192 . 61) (141 . 62) (125 . 63) (126 . 64) (121 . -428)) 
    ((121 . 0)) ((1 . -345)) ((4 . -253) (3 . -253) (1 . -253)) ((4 . -252) 
    (3 . -252) (1 . -252)) ((4 . -251) (3 . -251) (1 . -251)) ((117 . 120) 
    (12 . 67) (30 . 3) (198 . 121) (245 . 122) (196 . 123)) ((33 . 4) (34 . 5)
    (35 . 6) (180 . 23) (36 . 24) (205 . 116) (194 . 117) (197 . 119) (1 . 
    -199)) ((33 . 4) (34 . 5) (35 . 6) (180 . 23) (36 . 24) (205 . 116) 
    (194 . 117) (197 . 118) (1 . -199)) ((47 . 110) (58 . 111) (46 . 112) 
    (54 . 113) (55 . 114) (53 . 115)) ((1 . -165)) ((1 . -156)) ((1 . -151)) 
    ((1 . -150)) ((48 . 109) (1 . -148)) ((48 . 108) (1 . -147)) ((1 . -144)) 
    ((56 . 102) (52 . 103) (47 . 104) (58 . 105) (46 . 106) (54 . 107) 
    (1 . -139)) ((56 . 97) (54 . 98) (50 . 99) (47 . 100) (46 . 101) (1 . -128
    )) ((1 . -125)) ((56 . 91) (52 . 92) (47 . 93) (58 . 94) (46 . 95) 
    (54 . 96) (1 . -126)) ((56 . 88) (47 . 89) (46 . 90) (1 . -121)) ((3 . 
    -250) (4 . -250) (1 . -250)) ((119 . 87)) ((1 . -246)) ((1 . -245)) 
    ((1 . -244)) ((1 . -243)) ((1 . -242)) ((119 . 86)) ((119 . 85)) ((119 . 
    84)) ((1 . -114)) ((1 . -113)) ((1 . -112)) ((1 . -111)) ((1 . -110)) 
    ((1 . -109)) ((1 . -108)) ((1 . -107)) ((1 . -106)) ((1 . -105)) ((1 . 
    -104)) ((1 . -103)) ((1 . -101)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) 
    (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) 
    (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) 
    (55 . 21) (58 . 22) (180 . 23) (36 . 24) (37 . 25) (38 . 26) (39 . 27) 
    (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) 
    (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41)
    (64 . 42) (65 . 43) (66 . 44) (67 . 78) (68 . 45) (205 . 46) (206 . 47) 
    (207 . 48) (208 . 49) (209 . 50) (210 . 83) (1 . -99)) ((30 . 3) (33 . 4) 
    (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12)
    (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (54 . 19) 
    (56 . 20) (55 . 21) (58 . 22) (180 . 23) (36 . 24) (37 . 25) (38 . 26) 
    (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) (198 . 33) 
    (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39) (204 . 40
    ) (63 . 41) (64 . 42) (65 . 43) (66 . 44) (67 . 78) (68 . 45) (205 . 46) 
    (206 . 47) (207 . 48) (208 . 49) (209 . 50) (210 . 82) (1 . -97)) (
    (30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) 
    (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) 
    (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) (180 . 23) (36 . 24) 
    (37 . 25) (38 . 26) (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) 
    (61 . 32) (198 . 33) (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38)
    (203 . 39) (204 . 40) (63 . 41) (64 . 42) (65 . 43) (66 . 44) (67 . 78) 
    (68 . 45) (205 . 46) (206 . 47) (207 . 48) (208 . 49) (209 . 50) (210 . 81
    ) (1 . -95)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) 
    (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) 
    (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) 
    (180 . 23) (36 . 24) (37 . 25) (38 . 26) (39 . 27) (40 . 28) (41 . 29) 
    (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) (200 . 35) (201 . 36) 
    (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41) (64 . 42) (65 . 43) 
    (66 . 44) (67 . 78) (68 . 45) (205 . 46) (206 . 47) (207 . 48) (208 . 49) 
    (209 . 50) (210 . 80) (1 . -93)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) 
    (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) 
    (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) 
    (55 . 21) (58 . 22) (180 . 23) (36 . 24) (37 . 25) (38 . 26) (39 . 27) 
    (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) 
    (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41)
    (64 . 42) (65 . 43) (66 . 44) (67 . 78) (68 . 45) (205 . 46) (206 . 47) 
    (207 . 48) (208 . 49) (209 . 50) (210 . 79) (1 . -91)) ((1 . -90)) 
    ((4 . -454) (3 . -454) (5 . -454) (1 . -454)) ((4 . -453) (3 . -453) 
    (5 . -453) (1 . -453)) ((5 . -452) (4 . -452) (3 . -452) (1 . -452)) 
    ((12 . 67) (119 . 68) (245 . 69) (104 . 70) (167 . 71) (168 . 72) (184 . 
    73) (171 . 74) (172 . 75) (173 . 76) (211 . 77) (72 . -89)) ((72 . 66)) 
    ((5 . -437) (4 . -437) (3 . -437) (1 . -437)) ((13 . 65) (1 . -102)) 
    ((5 . -435) (4 . -435) (3 . -435) (1 . -435)) ((5 . -434) (4 . -434) 
    (3 . -434) (1 . -434)) ((5 . -433) (4 . -433) (3 . -433) (1 . -433)) 
    ((5 . -432) (4 . -432) (3 . -432) (1 . -432)) ((5 . -431) (4 . -431) 
    (3 . -431) (1 . -431)) ((5 . -430) (4 . -430) (3 . -430) (1 . -430)) 
    ((117 . 217)) ((6 . 215) (212 . 216) (3 . -86) (4 . -86) (5 . -86) 
    (1 . -86)) ((1 . -441)) ((12 . 67) (119 . 68) (245 . 69) (104 . 70) 
    (167 . 71) (168 . 72) (184 . 213) (33 . 4) (34 . 5) (35 . 6) (180 . 23) 
    (36 . 24) (205 . 214)) ((1 . -291)) ((39 . 27) (40 . 28) (41 . 29) 
    (207 . 208) (163 . 209) (166 . 210) (33 . 4) (34 . 5) (35 . 6) (180 . 23) 
    (36 . 24) (205 . 116) (194 . 211) (104 . 70) (168 . 212) (1 . -290)) 
    ((115 . 206) (119 . 207) (1 . -284)) ((12 . 67) (119 . 68) (245 . 69) 
    (167 . 205)) ((83 . 199) (33 . 4) (34 . 5) (35 . 6) (180 . 23) (36 . 24) 
    (205 . 116) (194 . 200) (16 . 201) (169 . 202) (117 . 203) (153 . 204) 
    (109 . -276) (72 . -276)) ((109 . -275) (72 . -275)) ((109 . -272) 
    (72 . -272)) ((109 . 198) (72 . -271)) ((72 . -88)) ((1 . -102)) ((1 . -92
    )) ((1 . -94)) ((1 . -96)) ((1 . -98)) ((1 . -100)) ((30 . 3) (42 . 7) 
    (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) 
    (50 . 15) (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) (55 . 21) 
    (58 . 22) (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) 
    (198 . 33) (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39
    ) (204 . 40) (63 . 41) (207 . 162) (208 . 163) (187 . 164) (159 . 165) 
    (235 . 196) (13 . 167) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172
    ) (11 . 173) (32 . 174) (12 . 67) (243 . 175) (244 . 176) (245 . 177) 
    (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) 
    (119 . 184) (238 . 185) (106 . 186) (107 . 187) (108 . 188) (228 . 189) 
    (110 . 190) (111 . 191) (237 . 192) (229 . 197)) ((30 . 3) (42 . 7) 
    (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) 
    (50 . 15) (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) (55 . 21) 
    (58 . 22) (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) 
    (198 . 33) (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39
    ) (204 . 40) (63 . 41) (207 . 162) (208 . 163) (187 . 164) (159 . 165) 
    (235 . 194) (13 . 167) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172
    ) (11 . 173) (32 . 174) (12 . 67) (243 . 175) (244 . 176) (245 . 177) 
    (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) 
    (119 . 184) (238 . 185) (106 . 186) (107 . 187) (108 . 188) (228 . 189) 
    (110 . 190) (111 . 191) (237 . 192) (229 . 195)) ((30 . 3) (42 . 7) 
    (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) 
    (50 . 15) (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) (55 . 21) 
    (58 . 22) (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) 
    (198 . 33) (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39
    ) (204 . 40) (63 . 41) (207 . 162) (208 . 163) (187 . 164) (159 . 165) 
    (235 . 166) (13 . 167) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172
    ) (11 . 173) (32 . 174) (12 . 67) (243 . 175) (244 . 176) (245 . 177) 
    (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) 
    (119 . 184) (238 . 185) (106 . 186) (107 . 187) (108 . 188) (228 . 189) 
    (110 . 190) (111 . 191) (237 . 192) (229 . 193)) ((119 . 161)) ((1 . -122)
    ) ((1 . -155)) ((1 . -164)) ((1 . -127)) ((1 . -145)) ((1 . -159)) 
    ((46 . 158) (47 . 159) (56 . 160) (1 . -123)) ((1 . -168)) ((46 . 154) 
    (47 . 155) (54 . 156) (56 . 157) (1 . -130)) ((1 . -129)) ((56 . 153) 
    (1 . -132)) ((48 . 152) (1 . -149)) ((1 . -157)) ((1 . -166)) ((1 . -138))
    ((1 . -146)) ((1 . -162)) ((46 . 149) (47 . 150) (56 . 151) (1 . -137)) 
    ((1 . -171)) ((46 . 145) (47 . 146) (54 . 147) (56 . 148) (1 . -141)) 
    ((1 . -152)) ((1 . -153)) ((1 . -174)) ((46 . 143) (47 . 144)) ((1 . -183)
    ) ((46 . 141) (47 . 142)) ((46 . 137) (54 . 138) (47 . 139) (58 . 140)) 
    ((46 . 133) (54 . 134) (47 . 135) (58 . 136)) ((1 . -247)) ((33 . 4) 
    (34 . 5) (35 . 6) (180 . 23) (36 . 24) (205 . 132) (1 . -200)) ((117 . 130
    ) (12 . 67) (30 . 3) (198 . 121) (245 . 122) (196 . 131)) ((117 . 128) 
    (12 . 67) (30 . 3) (198 . 121) (245 . 122) (196 . 129)) ((12 . 67) 
    (245 . 125) (182 . 126) (183 . 127)) ((1 . -198)) ((1 . -197)) ((117 . 124
    ) (1 . -235)) ((12 . 67) (245 . 125) (182 . 126) (183 . 333)) ((83 . 331) 
    (33 . 4) (34 . 5) (35 . 6) (180 . 23) (36 . 24) (205 . 116) (194 . 332) 
    (116 . -238) (109 . -238)) ((116 . -236) (109 . -236)) ((116 . 329) 
    (109 . 330)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) 
    (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) 
    (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) 
    (180 . 23) (36 . 24) (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) 
    (61 . 32) (198 . 33) (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38)
    (203 . 39) (204 . 40) (63 . 41) (205 . 317) (207 . 318) (208 . 319) 
    (188 . 320) (190 . 321) (5 . 54) (191 . 322) (72 . 323) (192 . 324) 
    (193 . 325) (195 . 328)) ((117 . 327) (1 . -196)) ((30 . 3) (33 . 4) 
    (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12)
    (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (54 . 19) 
    (56 . 20) (55 . 21) (58 . 22) (180 . 23) (36 . 24) (39 . 27) (40 . 28) 
    (41 . 29) (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) (200 . 35) 
    (201 . 36) (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41) (205 . 317
    ) (207 . 318) (208 . 319) (188 . 320) (190 . 321) (5 . 54) (191 . 322) 
    (72 . 323) (192 . 324) (193 . 325) (195 . 326)) ((117 . 316) (1 . -193)) 
    ((1 . -248)) ((1 . -189)) ((47 . 314) (46 . 315)) ((1 . -180)) ((47 . 312)
    (46 . 313)) ((1 . -186)) ((47 . 310) (46 . 311)) ((1 . -177)) ((47 . 308) 
    (46 . 309)) ((1 . -184)) ((1 . -175)) ((1 . -182)) ((1 . -173)) ((1 . -172
    )) ((1 . -163)) ((56 . 307) (1 . -143)) ((1 . -140)) ((1 . -170)) (
    (1 . -161)) ((1 . -136)) ((1 . -154)) ((1 . -133)) ((1 . -169)) ((1 . -160
    )) ((56 . 306) (1 . -134)) ((1 . -131)) ((1 . -167)) ((1 . -158)) (
    (1 . -124)) ((12 . 67) (33 . 4) (34 . 5) (35 . 6) (245 . 299) (180 . 300) 
    (41 . 301) (177 . 302) (178 . 303) (179 . 304) (181 . 305)) ((30 . 3) 
    (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) 
    (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) 
    (55 . 21) (58 . 22) (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) 
    (61 . 32) (198 . 33) (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38)
    (203 . 39) (204 . 40) (63 . 41) (207 . 162) (208 . 163) (187 . 298) 
    (1 . -221)) ((30 . 3) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) 
    (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) 
    (54 . 19) (56 . 20) (55 . 21) (58 . 22) (39 . 27) (40 . 28) (41 . 29) 
    (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) (200 . 35) (201 . 36) 
    (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41) (207 . 162) (208 . 
    163) (187 . 297) (1 . -219)) ((1 . -218)) ((115 . 292) (119 . 293) 
    (104 . 70) (158 . 294) (168 . 295) (230 . 296) (118 . -320) (109 . -320)) 
    ((118 . 291)) ((1 . -449)) ((13 . 290) (1 . -448)) ((1 . -447)) ((1 . -446
    )) ((1 . -445)) ((1 . -444)) ((1 . -443)) ((1 . -442)) ((1 . -3)) (
    (1 . -2)) ((1 . -1)) ((1 . -37)) ((1 . -36)) ((1 . -35)) ((1 . -34)) 
    ((1 . -33)) ((1 . -32)) ((30 . 3) (42 . 7) (43 . 8) (44 . 9) (45 . 10) 
    (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) 
    (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) (39 . 27) (40 . 28) 
    (41 . 29) (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) (200 . 35) 
    (201 . 36) (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41) (207 . 162
    ) (208 . 163) (187 . 164) (159 . 165) (235 . 286) (227 . 234) (225 . 235) 
    (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) (220 . 240) 
    (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 67) (219 . 241) (218 . 242) (243 . 175) (244 . 176) (245 . 177) 
    (217 . 243) (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) 
    (105 . 183) (119 . 245) (238 . 185) (216 . 246) (106 . 186) (107 . 187) 
    (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (229 . 247) 
    (215 . 248) (233 . 287) (242 . 288) (117 . 289)) ((1 . -8)) ((119 . 285)) 
    ((119 . 284)) ((13 . 167) (122 . 168) (7 . 169) (8 . 170) (9 . 171) 
    (10 . 172) (11 . 173) (32 . 174) (12 . 67) (243 . 175) (244 . 176) 
    (245 . 177) (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) 
    (105 . 183) (238 . 185) (106 . 186) (107 . 187) (108 . 188) (228 . 189) 
    (110 . 190) (111 . 191) (237 . 192) (229 . 282) (119 . 283)) ((13 . 167) 
    (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 67) (243 . 175) (244 . 176) (245 . 177) (100 . 178) (101 . 179) 
    (102 . 180) (103 . 181) (104 . 182) (105 . 183) (238 . 185) (106 . 186) 
    (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) 
    (119 . 245) (229 . 280) (227 . 281)) ((13 . 167) (122 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) (243 . 175)
    (244 . 176) (245 . 177) (100 . 178) (101 . 179) (102 . 180) (103 . 181) 
    (104 . 182) (105 . 183) (119 . 184) (238 . 185) (106 . 186) (107 . 187) 
    (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (229 . 279)) 
    ((13 . 167) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 67) (243 . 175) (244 . 176) (245 . 177) (100 . 178) 
    (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) (119 . 184) 
    (238 . 185) (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) 
    (111 . 191) (237 . 192) (229 . 278)) ((115 . 272) (119 . 273) (113 . 274) 
    (112 . 275) (111 . 276) (110 . 277) (1 . -24)) ((118 . 271)) ((118 . 270))
    ((118 . 269)) ((118 . 268)) ((118 . 267)) ((33 . 4) (34 . 5) (35 . 6) 
    (180 . 23) (36 . 24) (205 . 116) (194 . 264) (12 . 67) (119 . 68) (245 . 
    69) (104 . 70) (167 . 71) (168 . 72) (184 . 265) (171 . 74) (172 . 266)) 
    ((227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) 
    (13 . 167) (220 . 240) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172
    ) (11 . 173) (32 . 174) (12 . 67) (219 . 241) (218 . 242) (243 . 175) 
    (244 . 176) (245 . 177) (217 . 243) (100 . 178) (101 . 179) (102 . 180) 
    (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 185) (216 . 246) 
    (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) 
    (237 . 192) (229 . 247) (215 . 248) (117 . 261) (233 . 262) (170 . 263)) 
    ((83 . 260) (33 . 4) (34 . 5) (35 . 6) (180 . 23) (36 . 24) (205 . 132) 
    (109 . -280) (72 . -280)) ((20 . 255) (40 . 256) (14 . 257) (15 . 258) 
    (138 . 259) (119 . -403)) ((33 . 4) (34 . 5) (35 . 6) (180 . 23) (36 . 24)
    (205 . 116) (194 . 253) (83 . 254) (109 . -278) (72 . -278)) ((144 . 251) 
    (116 . 252) (3 . -373) (4 . -373) (1 . -373)) ((5 . -440) (4 . -440) 
    (3 . -440) (1 . -440)) ((115 . 206) (119 . 207) (1 . -283)) ((65 . 232) 
    (114 . 233) (227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) 
    (221 . 239) (13 . 167) (220 . 240) (122 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) (219 . 241) (218 . 
    242) (243 . 175) (244 . 176) (245 . 177) (217 . 243) (100 . 178) (101 . 
    179) (102 . 180) (103 . 181) (104 . 244) (105 . 183) (119 . 245) (238 . 
    185) (216 . 246) (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 
    190) (111 . 191) (237 . 192) (229 . 247) (215 . 248) (233 . 249) (39 . 27)
    (40 . 28) (41 . 29) (207 . 208) (163 . 209) (166 . 250)) ((118 . 224) 
    (12 . 67) (245 . 225) (160 . 226) (164 . 227) (30 . 3) (33 . 4) (34 . 5) 
    (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13
    ) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) 
    (55 . 21) (58 . 22) (180 . 23) (36 . 24) (37 . 25) (38 . 26) (39 . 27) 
    (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) 
    (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41)
    (64 . 42) (65 . 43) (66 . 44) (67 . 78) (68 . 45) (205 . 46) (206 . 47) 
    (207 . 48) (208 . 49) (209 . 50) (210 . 51) (231 . 228) (161 . 229) 
    (162 . 230) (165 . 231)) ((1 . -306)) ((39 . 27) (40 . 28) (41 . 29) 
    (207 . 223) (1 . -305)) ((104 . 70) (168 . 222) (1 . -286)) ((33 . 4) 
    (34 . 5) (35 . 6) (180 . 23) (36 . 24) (205 . 132) (104 . 70) (168 . 221) 
    (1 . -288)) ((1 . -289)) ((118 . 220)) ((12 . 67) (119 . 68) (245 . 69) 
    (104 . 70) (167 . 71) (168 . 72) (184 . 219)) ((3 . -451) (4 . -451) 
    (5 . -451) (1 . -451)) ((3 . -87) (4 . -87) (5 . -87) (1 . -87)) ((124 . 
    218) (5 . -438) (4 . -438) (3 . -438) (1 . -438)) ((127 . 474) (5 . -429) 
    (4 . -429) (3 . -429) (1 . -429)) ((118 . 473)) ((1 . -292)) ((1 . -287)) 
    ((1 . -285)) ((1 . -307)) ((1 . -304)) ((118 . -317) (109 . -317)) 
    ((109 . 472) (118 . -316)) ((118 . 471)) ((115 . 292) (158 . 294) (230 . 
    467) (12 . 67) (119 . 468) (245 . 69) (104 . 70) (167 . 71) (168 . 469) 
    (184 . 470) (118 . -314) (109 . -314)) ((109 . -310) (118 . -310)) 
    ((109 . 466) (118 . -308)) ((118 . 465)) ((39 . 27) (40 . 28) (41 . 29) 
    (207 . 208) (163 . 209) (166 . 464)) ((1 . -297)) ((1 . -40)) ((104 . 461)
    (99 . 462) (98 . 463) (1 . -44)) ((103 . 459) (102 . 460) (1 . -47)) 
    ((97 . 457) (96 . 458) (1 . -50)) ((95 . 453) (94 . 454) (93 . 455) 
    (92 . 456) (1 . -55)) ((91 . 451) (90 . 452) (1 . -58)) ((105 . 450) 
    (1 . -60)) ((89 . 449) (1 . -62)) ((88 . 448) (1 . -64)) ((87 . 447) 
    (1 . -66)) ((114 . 446) (1 . -33)) ((227 . 234) (225 . 235) (224 . 236) 
    (223 . 237) (222 . 238) (221 . 239) (13 . 167) (220 . 240) (122 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) 
    (219 . 241) (218 . 242) (243 . 175) (244 . 176) (245 . 177) (217 . 243) 
    (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) 
    (119 . 245) (238 . 185) (216 . 246) (106 . 186) (107 . 187) (108 . 188) 
    (228 . 189) (110 . 190) (111 . 191) (237 . 192) (229 . 247) (215 . 248) 
    (233 . 287) (242 . 288) (117 . 289) (30 . 3) (42 . 7) (43 . 8) (44 . 9) 
    (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) 
    (52 . 17) (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) (39 . 27) 
    (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) 
    (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41)
    (207 . 162) (208 . 163) (187 . 164) (159 . 165) (235 . 445)) ((85 . 443) 
    (86 . 444) (1 . -68)) ((73 . 431) (74 . 432) (75 . 433) (76 . 434) 
    (77 . 435) (78 . 436) (79 . 437) (80 . 438) (81 . 439) (82 . 440) (83 . 
    441) (214 . 442) (1 . -38)) ((1 . -70)) ((114 . 430)) ((227 . 234) 
    (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) 
    (220 . 240) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 67) (219 . 241) (218 . 242) (243 . 175) (244 . 176) 
    (245 . 177) (217 . 243) (100 . 178) (101 . 179) (102 . 180) (103 . 181) 
    (105 . 183) (119 . 245) (238 . 185) (216 . 246) (106 . 186) (107 . 187) 
    (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (229 . 247) 
    (215 . 248) (233 . 426) (114 . 427) (65 . 428) (104 . 429)) ((227 . 234) 
    (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) 
    (220 . 240) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (219 . 241) (218 . 242) (243 . 175) (244 . 176) (30 . 3) 
    (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) 
    (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) 
    (54 . 19) (56 . 20) (55 . 21) (58 . 22) (217 . 243) (100 . 178) (101 . 179
    ) (102 . 180) (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 185) 
    (180 . 23) (36 . 24) (37 . 25) (38 . 26) (39 . 27) (40 . 28) (41 . 29) 
    (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) (200 . 35) (201 . 36) 
    (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41) (64 . 42) (65 . 43) 
    (66 . 44) (67 . 78) (68 . 45) (216 . 246) (106 . 186) (107 . 187) (108 . 
    188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (205 . 46) (206 . 47)
    (207 . 48) (208 . 49) (209 . 50) (229 . 247) (215 . 248) (12 . 67) 
    (16 . 201) (210 . 51) (233 . 287) (3 . 52) (4 . 53) (169 . 397) (17 . 398)
    (18 . 399) (19 . 400) (20 . 401) (21 . 402) (22 . 403) (23 . 404) (24 . 
    405) (27 . 406) (72 . 407) (242 . 408) (117 . 203) (28 . 409) (29 . 410) 
    (245 . 411) (231 . 412) (146 . 413) (147 . 414) (148 . 415) (149 . 416) 
    (150 . 417) (151 . 418) (152 . 419) (153 . 420) (154 . 421) (213 . 56) 
    (145 . 422) (141 . 423) (142 . 424) (240 . 425)) ((4 . -372) (3 . -372) 
    (5 . -372) (1 . -372)) ((33 . 4) (34 . 5) (35 . 6) (180 . 23) (36 . 24) 
    (205 . 132) (109 . -282) (72 . -282)) ((227 . 234) (225 . 235) (224 . 236)
    (223 . 237) (222 . 238) (221 . 239) (13 . 167) (220 . 240) (122 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) 
    (219 . 241) (218 . 242) (243 . 175) (244 . 176) (245 . 177) (217 . 243) 
    (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) 
    (119 . 245) (238 . 185) (216 . 246) (106 . 186) (107 . 187) (108 . 188) 
    (228 . 189) (110 . 190) (111 . 191) (237 . 192) (229 . 247) (215 . 248) 
    (117 . 261) (233 . 262) (170 . 396)) ((119 . -407)) ((119 . -406)) 
    ((119 . -405)) ((119 . -404)) ((119 . 395)) ((227 . 234) (225 . 235) 
    (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) (220 . 240) 
    (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 67) (219 . 241) (218 . 242) (243 . 175) (244 . 176) (245 . 177) 
    (217 . 243) (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) 
    (105 . 183) (119 . 245) (238 . 185) (216 . 246) (106 . 186) (107 . 187) 
    (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (229 . 247) 
    (215 . 248) (117 . 261) (233 . 262) (170 . 394)) ((227 . 234) (225 . 235) 
    (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) (220 . 240) 
    (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 67) (219 . 241) (218 . 242) (243 . 175) (244 . 176) (245 . 177) 
    (217 . 243) (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) 
    (105 . 183) (119 . 245) (238 . 185) (113 . 387) (115 . 388) (216 . 246) 
    (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) 
    (237 . 192) (155 . 389) (229 . 247) (215 . 248) (156 . 390) (117 . 261) 
    (233 . 262) (170 . 391) (157 . 392) (234 . 393)) ((1 . -346)) ((109 . -277
    ) (72 . -277)) ((12 . 67) (119 . 68) (245 . 69) (104 . 70) (167 . 71) 
    (168 . 72) (184 . 265) (171 . 74) (172 . 386) (33 . 4) (34 . 5) (35 . 6) 
    (180 . 23) (36 . 24) (205 . 132)) ((83 . 199) (33 . 4) (34 . 5) (35 . 6) 
    (180 . 23) (36 . 24) (205 . 116) (194 . 200) (16 . 201) (169 . 202) 
    (109 . -276) (72 . -276)) ((109 . -273) (72 . -273)) ((1 . -115)) (
    (1 . -116)) ((1 . -117)) ((1 . -118)) ((1 . -119)) ((227 . 234) (225 . 235
    ) (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) (220 . 240) 
    (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 67) (219 . 241) (218 . 242) (243 . 175) (244 . 176) (245 . 177) 
    (217 . 243) (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) 
    (105 . 183) (119 . 245) (238 . 185) (216 . 246) (106 . 186) (107 . 187) 
    (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (229 . 247) 
    (215 . 248) (233 . 287) (242 . 385)) ((118 . 380) (227 . 234) (225 . 235) 
    (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) (220 . 240) 
    (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 67) (30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) 
    (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) 
    (52 . 17) (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) (219 . 241) 
    (180 . 23) (36 . 24) (37 . 25) (38 . 26) (39 . 27) (40 . 28) (41 . 29) 
    (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) (200 . 35) (201 . 36) 
    (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41) (64 . 42) (65 . 43) 
    (66 . 44) (67 . 78) (68 . 45) (218 . 242) (243 . 175) (244 . 176) (245 . 
    177) (205 . 46) (206 . 47) (207 . 48) (208 . 49) (209 . 50) (217 . 243) 
    (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) 
    (119 . 245) (238 . 185) (210 . 51) (216 . 246) (106 . 186) (107 . 187) 
    (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (229 . 247) 
    (215 . 248) (231 . 381) (232 . 382) (233 . 383) (236 . 384)) ((12 . 67) 
    (245 . 379)) ((12 . 67) (245 . 378)) ((1 . -14)) ((1 . -15)) ((1 . -25)) 
    ((1 . -26)) ((1 . -38)) ((1 . -27)) ((1 . -28)) ((30 . 3) (42 . 7) 
    (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) 
    (50 . 15) (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) (55 . 21) 
    (58 . 22) (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) 
    (198 . 33) (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39
    ) (204 . 40) (63 . 41) (207 . 162) (208 . 163) (187 . 164) (159 . 165) 
    (235 . 377) (227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) 
    (221 . 239) (13 . 167) (220 . 240) (122 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) (219 . 241) (218 . 
    242) (243 . 175) (244 . 176) (245 . 177) (217 . 243) (100 . 178) (101 . 
    179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 
    185) (216 . 246) (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 
    190) (111 . 191) (237 . 192) (229 . 247) (215 . 248) (233 . 287) (242 . 
    288) (117 . 289)) ((30 . 3) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11)
    (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) 
    (54 . 19) (56 . 20) (55 . 21) (58 . 22) (39 . 27) (40 . 28) (41 . 29) 
    (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) (200 . 35) (201 . 36) 
    (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41) (207 . 162) (208 . 
    163) (187 . 164) (159 . 165) (235 . 376)) ((30 . 3) (42 . 7) (43 . 8) 
    (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) 
    (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) 
    (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) (198 . 33) 
    (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39) (204 . 40
    ) (63 . 41) (207 . 162) (208 . 163) (187 . 164) (159 . 165) (235 . 375)) 
    ((118 . 374)) ((1 . -83)) ((118 . 372) (109 . 373)) ((241 . 371) (3 . -6) 
    (4 . -6) (1 . -6)) ((1 . -450)) ((1 . -120)) ((227 . 234) (225 . 235) 
    (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) (220 . 240) 
    (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 67) (219 . 241) (218 . 242) (243 . 175) (244 . 176) (245 . 177) 
    (217 . 243) (100 . 178) (101 . 179) (102 . 180) (103 . 181) (105 . 183) 
    (119 . 245) (238 . 185) (216 . 246) (106 . 186) (107 . 187) (108 . 188) 
    (228 . 189) (110 . 190) (111 . 191) (237 . 192) (229 . 247) (215 . 248) 
    (233 . 366) (114 . 367) (65 . 368) (39 . 27) (40 . 28) (41 . 29) (207 . 
    208) (163 . 209) (166 . 369) (104 . 370)) ((115 . 292) (119 . 293) 
    (104 . 70) (158 . 294) (168 . 295) (230 . 363) (30 . 3) (33 . 4) (34 . 5) 
    (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13
    ) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) 
    (55 . 21) (58 . 22) (180 . 23) (36 . 24) (37 . 25) (38 . 26) (39 . 27) 
    (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) 
    (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41)
    (64 . 42) (65 . 43) (66 . 44) (67 . 78) (68 . 45) (205 . 46) (206 . 47) 
    (207 . 48) (208 . 49) (209 . 50) (210 . 51) (231 . 228) (161 . 229) 
    (162 . 230) (165 . 364) (118 . 365)) ((119 . 361) (115 . 362) (118 . -323)
    (109 . -323)) ((115 . 292) (119 . 293) (158 . 360) (118 . -322) (109 . 
    -322)) ((118 . -319) (109 . -319)) ((1 . -220)) ((1 . -222)) ((1 . -262)) 
    ((1 . -261)) ((118 . -260) (109 . -260)) ((119 . 359) (118 . -258) 
    (109 . -258)) ((118 . -255) (109 . -255)) ((109 . 358) (118 . -254)) 
    ((118 . 357)) ((1 . -135)) ((1 . -142)) ((1 . -176)) ((1 . -185)) (
    (1 . -178)) ((1 . -187)) ((1 . -179)) ((1 . -188)) ((1 . -181)) ((1 . -190
    )) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) 
    (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) 
    (52 . 17) (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) (180 . 23) 
    (36 . 24) (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) 
    (198 . 33) (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39
    ) (204 . 40) (63 . 41) (205 . 317) (207 . 318) (208 . 319) (188 . 320) 
    (190 . 321) (5 . 54) (191 . 322) (72 . 323) (192 . 324) (193 . 325) 
    (195 . 356)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) 
    (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) 
    (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) 
    (180 . 23) (36 . 24) (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) 
    (61 . 32) (198 . 33) (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38)
    (203 . 39) (204 . 40) (63 . 41) (205 . 317) (207 . 318) (208 . 319) 
    (188 . 355) (1 . -216)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) 
    (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) 
    (50 . 15) (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) (55 . 21) 
    (58 . 22) (180 . 23) (36 . 24) (39 . 27) (40 . 28) (41 . 29) (59 . 30) 
    (60 . 31) (61 . 32) (198 . 33) (199 . 34) (200 . 35) (201 . 36) (62 . 37) 
    (202 . 38) (203 . 39) (204 . 40) (63 . 41) (205 . 317) (207 . 318) 
    (208 . 319) (188 . 354) (1 . -214)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) 
    (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) 
    (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) 
    (55 . 21) (58 . 22) (180 . 23) (36 . 24) (39 . 27) (40 . 28) (41 . 29) 
    (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) (200 . 35) (201 . 36) 
    (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41) (205 . 317) (207 . 
    318) (208 . 319) (188 . 353) (1 . -212)) ((1 . -211)) ((12 . 67) (119 . 68
    ) (245 . 69) (104 . 70) (167 . 71) (168 . 72) (84 . 348) (184 . 349) 
    (185 . 350) (186 . 351) (189 . 352) (72 . -210)) ((72 . 347)) ((5 . -205) 
    (1 . -205)) ((5 . -202) (1 . -202)) ((5 . -201) (1 . -201)) ((116 . 346) 
    (30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) 
    (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) 
    (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) (180 . 23) (36 . 24) 
    (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) (198 . 33) 
    (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39) (204 . 40
    ) (63 . 41) (205 . 317) (207 . 318) (208 . 319) (188 . 320) (190 . 321) 
    (191 . 322) (193 . 342) (5 . 54) (192 . 343) (72 . 344)) ((30 . 3) 
    (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) 
    (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) 
    (54 . 19) (56 . 20) (55 . 21) (58 . 22) (180 . 23) (36 . 24) (39 . 27) 
    (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) 
    (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41)
    (205 . 317) (207 . 318) (208 . 319) (188 . 320) (190 . 321) (5 . 54) 
    (191 . 322) (72 . 323) (192 . 324) (193 . 325) (195 . 345)) ((116 . 341) 
    (30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) 
    (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) 
    (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) (180 . 23) (36 . 24) 
    (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) (198 . 33) 
    (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39) (204 . 40
    ) (63 . 41) (205 . 317) (207 . 318) (208 . 319) (188 . 320) (190 . 321) 
    (191 . 322) (193 . 342) (5 . 54) (192 . 343) (72 . 344)) ((1 . -233)) 
    ((116 . 339) (12 . 67) (245 . 125) (182 . 340)) ((13 . 167) (122 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) 
    (243 . 175) (244 . 176) (245 . 177) (100 . 178) (101 . 179) (102 . 180) 
    (103 . 181) (104 . 182) (105 . 183) (238 . 185) (106 . 186) (107 . 187) 
    (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (119 . 245) 
    (229 . 280) (227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) 
    (221 . 239) (220 . 240) (219 . 241) (218 . 242) (217 . 243) (216 . 246) 
    (215 . 337) (226 . 338)) ((83 . 336) (33 . 4) (34 . 5) (35 . 6) (180 . 23)
    (36 . 24) (205 . 132) (116 . -239) (109 . -239)) ((109 . 334) (116 . 335))
    ((12 . 67) (245 . 125) (182 . 340) (116 . 574)) ((1 . -231)) ((13 . 167) 
    (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 67) (243 . 175) (244 . 176) (245 . 177) (100 . 178) (101 . 179) 
    (102 . 180) (103 . 181) (104 . 182) (105 . 183) (238 . 185) (106 . 186) 
    (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) 
    (119 . 245) (229 . 280) (227 . 234) (225 . 235) (224 . 236) (223 . 237) 
    (222 . 238) (221 . 239) (220 . 240) (219 . 241) (218 . 242) (217 . 243) 
    (216 . 246) (215 . 337) (226 . 573)) ((1 . -85)) ((116 . -240) (109 . -240
    )) ((1 . -234)) ((116 . -237) (109 . -237)) ((1 . -195)) ((5 . -203) 
    (1 . -203)) ((5 . -204) (1 . -204)) ((5 . -206) (1 . -206)) ((116 . 572) 
    (30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) 
    (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) 
    (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) (180 . 23) (36 . 24) 
    (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) (198 . 33) 
    (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39) (204 . 40
    ) (63 . 41) (205 . 317) (207 . 318) (208 . 319) (188 . 320) (190 . 321) 
    (191 . 322) (193 . 342) (5 . 54) (192 . 343) (72 . 344)) ((1 . -192)) 
    ((6 . 215) (212 . 571) (5 . -207) (1 . -207)) ((13 . 167) (122 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) 
    (243 . 175) (244 . 176) (245 . 177) (100 . 178) (101 . 179) (102 . 180) 
    (103 . 181) (104 . 182) (105 . 183) (238 . 185) (106 . 186) (107 . 187) 
    (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (119 . 245) 
    (229 . 280) (227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) 
    (221 . 239) (220 . 240) (219 . 241) (218 . 242) (217 . 243) (216 . 246) 
    (215 . 337) (226 . 570)) ((33 . 4) (34 . 5) (35 . 6) (180 . 23) (36 . 24) 
    (205 . 116) (194 . 568) (84 . 569) (109 . -227) (72 . -227)) ((109 . -226)
    (72 . -226)) ((109 . -223) (72 . -223)) ((109 . 567) (72 . -209)) (
    (1 . -213)) ((1 . -215)) ((1 . -217)) ((116 . 566) (30 . 3) (33 . 4) 
    (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12)
    (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (54 . 19) 
    (56 . 20) (55 . 21) (58 . 22) (180 . 23) (36 . 24) (39 . 27) (40 . 28) 
    (41 . 29) (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) (200 . 35) 
    (201 . 36) (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41) (205 . 317
    ) (207 . 318) (208 . 319) (188 . 320) (190 . 321) (191 . 322) (193 . 342) 
    (5 . 54) (192 . 343) (72 . 344)) ((118 . 565)) ((12 . 67) (33 . 4) 
    (34 . 5) (35 . 6) (245 . 299) (180 . 300) (41 . 301) (177 . 302) (178 . 
    564) (118 . -257) (109 . -257)) ((30 . 3) (42 . 7) (43 . 8) (44 . 9) 
    (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) 
    (52 . 17) (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) (39 . 27) 
    (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) 
    (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41)
    (207 . 162) (208 . 163) (13 . 167) (33 . 4) (34 . 5) (35 . 6) (187 . 164) 
    (122 . 168) (12 . 67) (159 . 165) (180 . 300) (177 . 556) (245 . 557) 
    (243 . 558) (32 . 559) (235 . 560) (174 . 561) (175 . 562) (176 . 563)) 
    ((119 . 361) (115 . 362) (118 . -321) (109 . -321)) ((118 . 554) (30 . 3) 
    (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) 
    (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) 
    (54 . 19) (56 . 20) (55 . 21) (58 . 22) (180 . 23) (36 . 24) (37 . 25) 
    (38 . 26) (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) 
    (198 . 33) (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39
    ) (204 . 40) (63 . 41) (64 . 42) (65 . 43) (66 . 44) (67 . 78) (68 . 45) 
    (205 . 46) (206 . 47) (207 . 48) (208 . 49) (209 . 50) (210 . 51) (231 . 
    228) (161 . 229) (162 . 230) (165 . 555)) ((65 . 549) (114 . 550) (227 . 
    234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167
    ) (220 . 240) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) 
    (11 . 173) (32 . 174) (12 . 67) (219 . 241) (218 . 242) (243 . 175) 
    (244 . 176) (245 . 177) (217 . 243) (100 . 178) (101 . 179) (102 . 180) 
    (103 . 181) (104 . 551) (105 . 183) (119 . 245) (238 . 185) (216 . 246) 
    (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) 
    (237 . 192) (229 . 247) (215 . 248) (233 . 552) (39 . 27) (40 . 28) 
    (41 . 29) (207 . 208) (163 . 209) (166 . 553)) ((118 . 548)) ((118 . 547))
    ((1 . -336)) ((114 . 546)) ((1 . -340)) ((39 . 27) (40 . 28) (41 . 29) 
    (207 . 208) (163 . 209) (166 . 545)) ((65 . 542) (114 . 543) (227 . 234) 
    (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) 
    (220 . 240) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 67) (219 . 241) (218 . 242) (243 . 175) (244 . 176) 
    (245 . 177) (217 . 243) (100 . 178) (101 . 179) (102 . 180) (103 . 181) 
    (104 . 182) (105 . 183) (119 . 245) (238 . 185) (216 . 246) (106 . 186) 
    (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) 
    (229 . 247) (215 . 248) (233 . 544)) ((114 . 541) (1 . -33)) ((227 . 234) 
    (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) 
    (220 . 240) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (219 . 241) (218 . 242) (243 . 175) (244 . 176) (30 . 3) 
    (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) 
    (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) 
    (54 . 19) (56 . 20) (55 . 21) (58 . 22) (217 . 243) (100 . 178) (101 . 179
    ) (102 . 180) (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 185) 
    (180 . 23) (36 . 24) (37 . 25) (38 . 26) (39 . 27) (40 . 28) (41 . 29) 
    (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) (200 . 35) (201 . 36) 
    (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41) (64 . 42) (65 . 43) 
    (66 . 44) (67 . 78) (68 . 45) (216 . 246) (106 . 186) (107 . 187) (108 . 
    188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (205 . 46) (206 . 47)
    (207 . 48) (208 . 49) (209 . 50) (229 . 247) (215 . 248) (12 . 67) 
    (16 . 201) (210 . 51) (233 . 287) (3 . 52) (4 . 53) (169 . 397) (17 . 398)
    (18 . 399) (19 . 400) (20 . 401) (21 . 402) (22 . 403) (23 . 404) (24 . 
    405) (27 . 406) (72 . 407) (242 . 408) (117 . 203) (28 . 409) (29 . 410) 
    (245 . 411) (231 . 412) (146 . 413) (147 . 414) (148 . 415) (149 . 416) 
    (150 . 417) (151 . 418) (152 . 419) (153 . 420) (154 . 421) (213 . 56) 
    (145 . 422) (141 . 423) (142 . 424) (240 . 540)) ((1 . -4)) ((227 . 234) 
    (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) 
    (220 . 240) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 67) (219 . 241) (218 . 242) (243 . 175) (244 . 176) 
    (245 . 177) (217 . 243) (100 . 178) (101 . 179) (102 . 180) (103 . 181) 
    (104 . 182) (105 . 183) (119 . 245) (238 . 185) (216 . 246) (106 . 186) 
    (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) 
    (229 . 247) (215 . 248) (233 . 539)) ((117 . 538)) ((109 . 537)) ((118 . 
    536)) ((118 . 535)) ((1 . -13)) ((1 . -12)) ((1 . -11)) ((115 . 292) 
    (119 . 293) (104 . 70) (158 . 294) (168 . 295) (230 . 534) (118 . -23) 
    (109 . -23)) ((118 . -20) (109 . -20)) ((118 . -18) (109 . -18)) ((118 . 
    532) (109 . 533)) ((114 . 531) (109 . 373)) ((109 . -274) (72 . -274)) 
    ((12 . 67) (245 . 530)) ((13 . 167) (122 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) (243 . 175) (244 . 
    176) (245 . 177) (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 
    182) (105 . 183) (238 . 185) (106 . 186) (107 . 187) (108 . 188) (228 . 
    189) (110 . 190) (111 . 191) (237 . 192) (119 . 245) (229 . 280) (227 . 
    234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) (220 . 
    240) (219 . 241) (218 . 242) (217 . 243) (216 . 246) (215 . 337) (226 . 
    529)) ((1 . -354)) ((83 . 527) (113 . 387) (115 . 388) (155 . 528)) 
    ((109 . -350) (116 . -350)) ((227 . 234) (225 . 235) (224 . 236) (223 . 
    237) (222 . 238) (221 . 239) (13 . 167) (220 . 240) (122 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) (219 . 241)
    (218 . 242) (243 . 175) (244 . 176) (245 . 177) (217 . 243) (100 . 178) 
    (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) (119 . 245) 
    (238 . 185) (216 . 246) (106 . 186) (107 . 187) (108 . 188) (228 . 189) 
    (110 . 190) (111 . 191) (237 . 192) (229 . 247) (215 . 248) (117 . 261) 
    (233 . 262) (170 . 526)) ((109 . 524) (116 . 525)) ((109 . -281) (72 . 
    -281)) ((13 . 167) (122 . 168) (243 . 523)) ((109 . -279) (72 . -279)) 
    ((72 . 522)) ((227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) 
    (221 . 239) (13 . 167) (220 . 240) (122 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) (219 . 241) (218 . 
    242) (243 . 175) (244 . 176) (245 . 177) (217 . 243) (100 . 178) (101 . 
    179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 
    185) (216 . 246) (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 
    190) (111 . 191) (237 . 192) (229 . 247) (215 . 248) (233 . 287) (242 . 
    520) (72 . 521)) ((72 . 519)) ((72 . 518)) ((12 . 67) (245 . 517)) 
    ((119 . 516)) ((227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238)
    (221 . 239) (13 . 167) (220 . 240) (122 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (219 . 241) (218 . 242) 
    (243 . 175) (244 . 176) (217 . 243) (100 . 178) (101 . 179) (102 . 180) 
    (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 185) (216 . 246) 
    (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) 
    (237 . 192) (229 . 247) (215 . 248) (12 . 67) (16 . 201) (233 . 287) 
    (3 . 52) (4 . 53) (169 . 397) (17 . 398) (18 . 399) (19 . 400) (20 . 401) 
    (21 . 402) (22 . 403) (23 . 404) (24 . 405) (27 . 406) (72 . 407) (242 . 
    408) (117 . 203) (28 . 409) (29 . 410) (245 . 411) (146 . 413) (147 . 414)
    (148 . 415) (149 . 416) (150 . 417) (151 . 418) (152 . 419) (153 . 420) 
    (154 . 421) (145 . 515)) ((119 . 514)) ((119 . 513)) ((119 . 512)) 
    ((4 . -380) (3 . -380) (1 . -380)) ((72 . 511) (109 . 373)) ((84 . 510)) 
    ((13 . 167) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 67) (243 . 175) (244 . 176) (245 . 177) (100 . 178) 
    (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) (238 . 185) 
    (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) 
    (237 . 192) (119 . 245) (229 . 280) (227 . 234) (225 . 235) (224 . 236) 
    (223 . 237) (222 . 238) (221 . 239) (220 . 240) (219 . 241) (218 . 242) 
    (217 . 243) (216 . 246) (215 . 337) (226 . 509)) ((84 . 508) (1 . -1)) 
    ((12 . 67) (119 . 68) (245 . 69) (104 . 70) (167 . 71) (168 . 72) (184 . 
    265) (171 . 74) (172 . 75) (173 . 76) (211 . 77) (72 . -89)) ((3 . -366) 
    (4 . -366) (1 . -366)) ((3 . -365) (4 . -365) (1 . -365)) ((3 . -364) 
    (4 . -364) (1 . -364)) ((3 . -363) (4 . -363) (1 . -363)) ((3 . -362) 
    (4 . -362) (1 . -362)) ((3 . -361) (4 . -361) (1 . -361)) ((3 . -360) 
    (4 . -360) (1 . -360)) ((3 . -359) (4 . -359) (1 . -359)) ((3 . -358) 
    (4 . -358) (1 . -358)) ((4 . -378) (3 . -378) (1 . -378)) ((4 . -377) 
    (3 . -377) (1 . -377)) ((3 . -375) (4 . -375) (1 . -375)) ((143 . 506) 
    (227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) 
    (13 . 167) (220 . 240) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172
    ) (11 . 173) (32 . 174) (219 . 241) (218 . 242) (243 . 175) (244 . 176) 
    (30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) 
    (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) 
    (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) (217 . 243) (100 . 178) 
    (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) (119 . 245) 
    (238 . 185) (180 . 23) (36 . 24) (37 . 25) (38 . 26) (39 . 27) (40 . 28) 
    (41 . 29) (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) (200 . 35) 
    (201 . 36) (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41) (64 . 42) 
    (65 . 43) (66 . 44) (67 . 78) (68 . 45) (216 . 246) (106 . 186) (107 . 187
    ) (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (205 . 46) 
    (206 . 47) (207 . 48) (208 . 49) (209 . 50) (229 . 247) (215 . 248) 
    (12 . 67) (16 . 201) (210 . 51) (233 . 287) (3 . 52) (4 . 53) (169 . 397) 
    (17 . 398) (18 . 399) (19 . 400) (20 . 401) (21 . 402) (22 . 403) (23 . 
    404) (24 . 405) (27 . 406) (72 . 407) (242 . 408) (117 . 203) (28 . 409) 
    (29 . 410) (245 . 411) (231 . 412) (146 . 413) (147 . 414) (148 . 415) 
    (149 . 416) (150 . 417) (151 . 418) (152 . 419) (153 . 420) (154 . 421) 
    (213 . 56) (145 . 422) (141 . 423) (142 . 507) (116 . -374)) ((114 . 505))
    ((1 . -295)) ((227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) 
    (221 . 239) (13 . 167) (220 . 240) (122 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) (219 . 241) (218 . 
    242) (243 . 175) (244 . 176) (245 . 177) (217 . 243) (100 . 178) (101 . 
    179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 
    185) (216 . 246) (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 
    190) (111 . 191) (237 . 192) (229 . 247) (215 . 248) (233 . 504)) (
    (114 . 503) (1 . -33)) ((1 . -296)) ((1 . -82)) ((1 . -81)) ((1 . -80)) 
    ((1 . -79)) ((1 . -78)) ((1 . -77)) ((1 . -76)) ((1 . -75)) ((1 . -74)) 
    ((1 . -73)) ((1 . -72)) ((227 . 234) (225 . 235) (224 . 236) (223 . 237) 
    (222 . 238) (221 . 239) (13 . 167) (220 . 240) (122 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) (219 . 241)
    (218 . 242) (243 . 175) (244 . 176) (245 . 177) (217 . 243) (100 . 178) 
    (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) (119 . 245) 
    (238 . 185) (216 . 246) (106 . 186) (107 . 187) (108 . 188) (228 . 189) 
    (110 . 190) (111 . 191) (237 . 192) (229 . 247) (215 . 248) (233 . 502)) 
    ((227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) 
    (13 . 167) (220 . 240) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172
    ) (11 . 173) (32 . 174) (12 . 67) (219 . 241) (218 . 242) (243 . 175) 
    (244 . 176) (245 . 177) (217 . 243) (100 . 178) (101 . 179) (102 . 180) 
    (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 185) (216 . 246) 
    (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) 
    (237 . 192) (229 . 247) (215 . 248) (233 . 287) (242 . 501)) ((13 . 167) 
    (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 67) (243 . 175) (244 . 176) (245 . 177) (100 . 178) (101 . 179) 
    (102 . 180) (103 . 181) (104 . 182) (105 . 183) (238 . 185) (106 . 186) 
    (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) 
    (119 . 245) (229 . 280) (227 . 234) (225 . 235) (224 . 236) (223 . 237) 
    (222 . 238) (221 . 239) (220 . 240) (219 . 241) (218 . 242) (217 . 500)) 
    ((118 . 499)) ((1 . -301)) ((13 . 167) (122 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) (243 . 175) (244 . 
    176) (245 . 177) (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 
    182) (105 . 183) (238 . 185) (106 . 186) (107 . 187) (108 . 188) (228 . 
    189) (110 . 190) (111 . 191) (237 . 192) (119 . 245) (229 . 280) (227 . 
    234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) (220 . 
    240) (219 . 241) (218 . 498)) ((13 . 167) (122 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) (243 . 175) (244 . 
    176) (245 . 177) (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 
    182) (105 . 183) (238 . 185) (106 . 186) (107 . 187) (108 . 188) (228 . 
    189) (110 . 190) (111 . 191) (237 . 192) (119 . 245) (229 . 280) (227 . 
    234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) (220 . 
    240) (219 . 497)) ((13 . 167) (122 . 168) (7 . 169) (8 . 170) (9 . 171) 
    (10 . 172) (11 . 173) (32 . 174) (12 . 67) (243 . 175) (244 . 176) 
    (245 . 177) (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) 
    (105 . 183) (238 . 185) (106 . 186) (107 . 187) (108 . 188) (228 . 189) 
    (110 . 190) (111 . 191) (237 . 192) (119 . 245) (229 . 280) (227 . 234) 
    (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) (220 . 496)) 
    ((13 . 167) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 67) (243 . 175) (244 . 176) (245 . 177) (100 . 178) 
    (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) (238 . 185) 
    (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) 
    (237 . 192) (119 . 245) (229 . 280) (227 . 234) (225 . 235) (224 . 236) 
    (223 . 237) (222 . 238) (221 . 495)) ((13 . 167) (122 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) (243 . 175)
    (244 . 176) (245 . 177) (100 . 178) (101 . 179) (102 . 180) (103 . 181) 
    (104 . 182) (105 . 183) (238 . 185) (106 . 186) (107 . 187) (108 . 188) 
    (228 . 189) (110 . 190) (111 . 191) (237 . 192) (119 . 245) (229 . 280) 
    (227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 494)) ((13 . 167) 
    (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 67) (243 . 175) (244 . 176) (245 . 177) (100 . 178) (101 . 179) 
    (102 . 180) (103 . 181) (104 . 182) (105 . 183) (238 . 185) (106 . 186) 
    (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) 
    (119 . 245) (229 . 280) (227 . 234) (225 . 235) (224 . 236) (223 . 237) 
    (222 . 493)) ((13 . 167) (122 . 168) (7 . 169) (8 . 170) (9 . 171) 
    (10 . 172) (11 . 173) (32 . 174) (12 . 67) (243 . 175) (244 . 176) 
    (245 . 177) (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) 
    (105 . 183) (238 . 185) (106 . 186) (107 . 187) (108 . 188) (228 . 189) 
    (110 . 190) (111 . 191) (237 . 192) (119 . 245) (229 . 280) (227 . 234) 
    (225 . 235) (224 . 236) (223 . 492)) ((13 . 167) (122 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) (243 . 175)
    (244 . 176) (245 . 177) (100 . 178) (101 . 179) (102 . 180) (103 . 181) 
    (104 . 182) (105 . 183) (238 . 185) (106 . 186) (107 . 187) (108 . 188) 
    (228 . 189) (110 . 190) (111 . 191) (237 . 192) (119 . 245) (229 . 280) 
    (227 . 234) (225 . 235) (224 . 236) (223 . 491)) ((13 . 167) (122 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) 
    (243 . 175) (244 . 176) (245 . 177) (100 . 178) (101 . 179) (102 . 180) 
    (103 . 181) (104 . 182) (105 . 183) (238 . 185) (106 . 186) (107 . 187) 
    (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (119 . 245) 
    (229 . 280) (227 . 234) (225 . 235) (224 . 236) (223 . 490)) ((13 . 167) 
    (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 67) (243 . 175) (244 . 176) (245 . 177) (100 . 178) (101 . 179) 
    (102 . 180) (103 . 181) (104 . 182) (105 . 183) (238 . 185) (106 . 186) 
    (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) 
    (119 . 245) (229 . 280) (227 . 234) (225 . 235) (224 . 236) (223 . 489)) 
    ((13 . 167) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 67) (243 . 175) (244 . 176) (245 . 177) (100 . 178) 
    (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) (238 . 185) 
    (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) 
    (237 . 192) (119 . 245) (229 . 280) (227 . 234) (225 . 235) (224 . 488)) 
    ((13 . 167) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 67) (243 . 175) (244 . 176) (245 . 177) (100 . 178) 
    (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) (238 . 185) 
    (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) 
    (237 . 192) (119 . 245) (229 . 280) (227 . 234) (225 . 235) (224 . 487)) 
    ((13 . 167) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 67) (243 . 175) (244 . 176) (245 . 177) (100 . 178) 
    (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) (238 . 185) 
    (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) 
    (237 . 192) (119 . 245) (229 . 280) (227 . 234) (225 . 486)) ((13 . 167) 
    (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 67) (243 . 175) (244 . 176) (245 . 177) (100 . 178) (101 . 179) 
    (102 . 180) (103 . 181) (104 . 182) (105 . 183) (238 . 185) (106 . 186) 
    (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) 
    (119 . 245) (229 . 280) (227 . 234) (225 . 485)) ((13 . 167) (122 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) 
    (243 . 175) (244 . 176) (245 . 177) (100 . 178) (101 . 179) (102 . 180) 
    (103 . 181) (104 . 182) (105 . 183) (238 . 185) (106 . 186) (107 . 187) 
    (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (119 . 245) 
    (229 . 280) (227 . 484)) ((13 . 167) (122 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) (243 . 175) (244 . 
    176) (245 . 177) (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 
    182) (105 . 183) (238 . 185) (106 . 186) (107 . 187) (108 . 188) (228 . 
    189) (110 . 190) (111 . 191) (237 . 192) (119 . 245) (229 . 280) (227 . 
    483)) ((13 . 167) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) 
    (11 . 173) (32 . 174) (12 . 67) (243 . 175) (244 . 176) (245 . 177) 
    (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) 
    (238 . 185) (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) 
    (111 . 191) (237 . 192) (119 . 245) (229 . 280) (227 . 482)) ((227 . 234) 
    (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) 
    (220 . 240) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 67) (219 . 241) (218 . 242) (243 . 175) (244 . 176) 
    (245 . 177) (217 . 243) (100 . 178) (101 . 179) (102 . 180) (103 . 181) 
    (104 . 182) (105 . 183) (119 . 245) (238 . 185) (216 . 246) (106 . 186) 
    (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) 
    (229 . 247) (215 . 248) (233 . 481)) ((1 . -302)) ((30 . 3) (33 . 4) 
    (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12)
    (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (54 . 19) 
    (56 . 20) (55 . 21) (58 . 22) (180 . 23) (36 . 24) (37 . 25) (38 . 26) 
    (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) (198 . 33) 
    (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39) (204 . 40
    ) (63 . 41) (64 . 42) (65 . 43) (66 . 44) (67 . 78) (68 . 45) (205 . 46) 
    (206 . 47) (207 . 48) (208 . 49) (209 . 50) (210 . 51) (231 . 228) 
    (161 . 479) (31 . 480)) ((118 . -313) (109 . -313)) ((12 . 67) (245 . 69) 
    (167 . 71) (184 . 213) (115 . 292) (119 . 468) (104 . 70) (158 . 294) 
    (168 . 469) (230 . 363) (30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) 
    (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) 
    (50 . 15) (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) (55 . 21) 
    (58 . 22) (180 . 23) (36 . 24) (37 . 25) (38 . 26) (39 . 27) (40 . 28) 
    (41 . 29) (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) (200 . 35) 
    (201 . 36) (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41) (64 . 42) 
    (65 . 43) (66 . 44) (67 . 78) (68 . 45) (205 . 478) (206 . 47) (207 . 48) 
    (208 . 49) (209 . 50) (210 . 51) (231 . 228) (161 . 229) (162 . 230) 
    (165 . 364) (118 . 365)) ((12 . 67) (245 . 69) (167 . 205) (115 . 292) 
    (119 . 468) (158 . 360) (118 . -322) (109 . -322)) ((33 . 4) (34 . 5) 
    (35 . 6) (180 . 23) (36 . 24) (205 . 116) (194 . 477) (118 . -312) 
    (109 . -312)) ((1 . -303)) ((12 . 67) (245 . 476)) ((1 . -293)) ((123 . 
    475) (30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) 
    (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) 
    (52 . 17) (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) (180 . 23) 
    (36 . 24) (37 . 25) (38 . 26) (39 . 27) (40 . 28) (41 . 29) (59 . 30) 
    (60 . 31) (61 . 32) (198 . 33) (199 . 34) (200 . 35) (201 . 36) (62 . 37) 
    (202 . 38) (203 . 39) (204 . 40) (63 . 41) (64 . 42) (65 . 43) (66 . 44) 
    (68 . 45) (205 . 46) (206 . 47) (207 . 48) (208 . 49) (209 . 50) (210 . 51
    ) (3 . 52) (4 . 53) (5 . 54) (231 . 55) (213 . 56) (72 . 57) (67 . 58) 
    (147 . 59) (146 . 60) (192 . 61) (141 . 62) (125 . 63) (126 . 64) (116 . 
    -439)) ((116 . 624)) ((118 . -318) (109 . -318)) ((33 . 4) (34 . 5) 
    (35 . 6) (180 . 23) (36 . 24) (205 . 132) (118 . -315) (109 . -315)) 
    ((30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) 
    (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) 
    (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) (180 . 23) (36 . 24) 
    (37 . 25) (38 . 26) (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) 
    (61 . 32) (198 . 33) (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38)
    (203 . 39) (204 . 40) (63 . 41) (64 . 42) (65 . 43) (66 . 44) (67 . 78) 
    (68 . 45) (205 . 46) (206 . 47) (207 . 48) (208 . 49) (209 . 50) (210 . 83
    ) (12 . 67) (119 . 68) (245 . 69) (104 . 70) (167 . 71) (168 . 72) 
    (184 . 219) (1 . -99)) ((109 . -311) (118 . -311)) ((118 . -309)) (
    (114 . 623)) ((1 . -43)) ((1 . -42)) ((1 . -41)) ((104 . 461) (99 . 462) 
    (98 . 463) (1 . -46)) ((104 . 461) (99 . 462) (98 . 463) (1 . -45)) 
    ((103 . 459) (102 . 460) (1 . -49)) ((103 . 459) (102 . 460) (1 . -48)) 
    ((97 . 457) (96 . 458) (1 . -54)) ((97 . 457) (96 . 458) (1 . -53)) 
    ((97 . 457) (96 . 458) (1 . -52)) ((97 . 457) (96 . 458) (1 . -51)) 
    ((95 . 453) (94 . 454) (93 . 455) (92 . 456) (1 . -57)) ((95 . 453) 
    (94 . 454) (93 . 455) (92 . 456) (1 . -56)) ((91 . 451) (90 . 452) 
    (1 . -59)) ((105 . 450) (1 . -61)) ((89 . 449) (1 . -63)) ((88 . 448) 
    (1 . -65)) ((117 . 538) (13 . 167) (122 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) (243 . 175) (244 . 
    176) (245 . 177) (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 
    182) (105 . 183) (238 . 185) (106 . 186) (107 . 187) (108 . 188) (228 . 
    189) (110 . 190) (111 . 191) (237 . 192) (119 . 245) (229 . 280) (227 . 
    622)) ((87 . 447) (1 . -67)) ((84 . 621) (109 . 373)) ((1 . -71)) (
    (1 . -300)) ((114 . 620)) ((1 . -294)) ((116 . 619)) ((3 . -376) (4 . -376
    ) (1 . -376)) ((33 . 4) (34 . 5) (35 . 6) (180 . 23) (36 . 24) (205 . 617)
    (227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) 
    (13 . 167) (220 . 240) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172
    ) (11 . 173) (32 . 174) (219 . 241) (218 . 242) (243 . 175) (244 . 176) 
    (217 . 243) (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) 
    (105 . 183) (119 . 245) (238 . 185) (216 . 246) (106 . 186) (107 . 187) 
    (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (229 . 247) 
    (215 . 248) (12 . 67) (16 . 201) (233 . 287) (3 . 52) (4 . 53) (169 . 397)
    (17 . 398) (18 . 399) (19 . 400) (20 . 401) (21 . 402) (22 . 403) (23 . 
    404) (24 . 405) (27 . 406) (72 . 407) (242 . 408) (117 . 203) (28 . 409) 
    (29 . 410) (245 . 411) (146 . 413) (147 . 414) (148 . 415) (149 . 416) 
    (150 . 417) (151 . 418) (152 . 419) (153 . 420) (154 . 421) (145 . 618)) 
    ((84 . 616)) ((227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) 
    (221 . 239) (13 . 167) (220 . 240) (122 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (219 . 241) (218 . 242) 
    (243 . 175) (244 . 176) (217 . 243) (100 . 178) (101 . 179) (102 . 180) 
    (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 185) (216 . 246) 
    (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) 
    (237 . 192) (229 . 247) (215 . 248) (12 . 67) (16 . 201) (233 . 287) 
    (3 . 52) (4 . 53) (169 . 397) (17 . 398) (18 . 399) (19 . 400) (20 . 401) 
    (21 . 402) (22 . 403) (23 . 404) (24 . 405) (27 . 406) (72 . 407) (242 . 
    408) (117 . 203) (28 . 409) (29 . 410) (245 . 411) (146 . 413) (147 . 414)
    (148 . 415) (149 . 416) (150 . 417) (151 . 418) (152 . 419) (153 . 420) 
    (154 . 421) (145 . 615)) ((4 . -379) (3 . -379) (1 . -379)) ((227 . 234) 
    (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) 
    (220 . 240) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 67) (219 . 241) (218 . 242) (243 . 175) (244 . 176) 
    (245 . 177) (217 . 243) (100 . 178) (101 . 179) (102 . 180) (103 . 181) 
    (104 . 182) (105 . 183) (119 . 245) (238 . 185) (216 . 246) (106 . 186) 
    (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) 
    (229 . 247) (215 . 248) (233 . 287) (242 . 614)) ((227 . 234) (225 . 235) 
    (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) (220 . 240) 
    (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 67) (219 . 241) (218 . 242) (243 . 175) (244 . 176) (245 . 177) 
    (217 . 243) (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) 
    (105 . 183) (119 . 245) (238 . 185) (216 . 246) (106 . 186) (107 . 187) 
    (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (229 . 247) 
    (215 . 248) (233 . 287) (242 . 613)) ((227 . 234) (225 . 235) (224 . 236) 
    (223 . 237) (222 . 238) (221 . 239) (13 . 167) (220 . 240) (122 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) 
    (219 . 241) (218 . 242) (243 . 175) (244 . 176) (245 . 177) (217 . 243) 
    (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) 
    (119 . 245) (238 . 185) (216 . 246) (106 . 186) (107 . 187) (108 . 188) 
    (228 . 189) (110 . 190) (111 . 191) (237 . 192) (229 . 247) (215 . 248) 
    (233 . 287) (242 . 612)) ((23 . 611)) ((227 . 234) (225 . 235) (224 . 236)
    (223 . 237) (222 . 238) (221 . 239) (13 . 167) (220 . 240) (122 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) 
    (30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) (44 . 9) (45 . 10) 
    (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) (51 . 16) (52 . 17) 
    (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) (219 . 241) (180 . 23) 
    (36 . 24) (37 . 25) (38 . 26) (39 . 27) (40 . 28) (41 . 29) (59 . 30) 
    (60 . 31) (61 . 32) (198 . 33) (199 . 34) (200 . 35) (201 . 36) (62 . 37) 
    (202 . 38) (203 . 39) (204 . 40) (63 . 41) (64 . 42) (65 . 43) (66 . 44) 
    (67 . 78) (68 . 45) (218 . 242) (243 . 175) (244 . 176) (245 . 177) 
    (205 . 46) (206 . 47) (207 . 48) (208 . 49) (209 . 50) (217 . 243) 
    (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) 
    (119 . 245) (238 . 185) (210 . 51) (216 . 246) (106 . 186) (107 . 187) 
    (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (231 . 412) 
    (229 . 247) (215 . 248) (213 . 56) (233 . 287) (141 . 607) (72 . 608) 
    (242 . 609) (140 . 610)) ((72 . 606)) ((4 . -393) (3 . -393) (1 . -393)) 
    ((4 . -394) (3 . -394) (1 . -394)) ((72 . 605) (109 . 373)) ((4 . -396) 
    (3 . -396) (1 . -396)) ((4 . -397) (3 . -397) (1 . -397)) ((84 . 601) 
    (133 . 602) (137 . 603) (118 . 604)) ((227 . 234) (225 . 235) (224 . 236) 
    (223 . 237) (222 . 238) (221 . 239) (13 . 167) (220 . 240) (122 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) 
    (219 . 241) (218 . 242) (243 . 175) (244 . 176) (245 . 177) (217 . 243) 
    (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) 
    (119 . 245) (238 . 185) (216 . 246) (106 . 186) (107 . 187) (108 . 188) 
    (228 . 189) (110 . 190) (111 . 191) (237 . 192) (229 . 247) (215 . 248) 
    (117 . 261) (233 . 262) (170 . 598) (113 . 387) (115 . 388) (155 . 389) 
    (156 . 390) (157 . 599) (116 . 600)) ((1 . -347)) ((109 . -349) (116 . 
    -349)) ((1 . -353)) ((1 . -355)) ((114 . 597)) ((1 . -357)) ((1 . -9)) 
    ((1 . -10)) ((30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) (43 . 8) 
    (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) 
    (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) 
    (180 . 23) (36 . 24) (37 . 25) (38 . 26) (39 . 27) (40 . 28) (41 . 29) 
    (59 . 30) (60 . 31) (61 . 32) (198 . 33) (199 . 34) (200 . 35) (201 . 36) 
    (62 . 37) (202 . 38) (203 . 39) (204 . 40) (63 . 41) (64 . 42) (65 . 43) 
    (66 . 44) (67 . 78) (68 . 45) (205 . 46) (206 . 47) (207 . 48) (208 . 49) 
    (209 . 50) (210 . 51) (231 . 381) (232 . 595) (227 . 234) (225 . 235) 
    (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) (220 . 240) 
    (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 67) (219 . 241) (218 . 242) (243 . 175) (244 . 176) (245 . 177) 
    (217 . 243) (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) 
    (105 . 183) (119 . 245) (238 . 185) (216 . 246) (106 . 186) (107 . 187) 
    (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (229 . 247) 
    (215 . 248) (233 . 596)) ((118 . -22) (109 . -22)) ((117 . 538) (1 . -29))
    ((1 . -30)) ((13 . 167) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 
    172) (11 . 173) (32 . 174) (12 . 67) (243 . 175) (244 . 176) (245 . 177) 
    (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) 
    (238 . 185) (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) 
    (111 . 191) (237 . 192) (119 . 245) (229 . 280) (227 . 234) (225 . 235) 
    (224 . 236) (223 . 237) (222 . 238) (221 . 239) (220 . 240) (219 . 241) 
    (218 . 242) (217 . 243) (216 . 246) (215 . 337) (226 . 594)) ((227 . 234) 
    (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) 
    (220 . 240) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173
    ) (32 . 174) (12 . 67) (219 . 241) (218 . 242) (243 . 175) (244 . 176) 
    (245 . 177) (217 . 243) (100 . 178) (101 . 179) (102 . 180) (103 . 181) 
    (104 . 182) (105 . 183) (119 . 245) (238 . 185) (113 . 387) (115 . 388) 
    (216 . 246) (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) 
    (111 . 191) (237 . 192) (155 . 389) (229 . 247) (215 . 248) (156 . 390) 
    (117 . 261) (233 . 262) (170 . 391) (157 . 392) (234 . 593)) ((1 . -84)) 
    ((239 . 592) (227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) 
    (221 . 239) (13 . 167) (220 . 240) (122 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (219 . 241) (218 . 242) 
    (243 . 175) (244 . 176) (30 . 3) (33 . 4) (34 . 5) (35 . 6) (42 . 7) 
    (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) 
    (50 . 15) (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) (55 . 21) 
    (58 . 22) (217 . 243) (100 . 178) (101 . 179) (102 . 180) (103 . 181) 
    (104 . 182) (105 . 183) (119 . 245) (238 . 185) (180 . 23) (36 . 24) 
    (37 . 25) (38 . 26) (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) 
    (61 . 32) (198 . 33) (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38)
    (203 . 39) (204 . 40) (63 . 41) (64 . 42) (65 . 43) (66 . 44) (67 . 78) 
    (68 . 45) (216 . 246) (106 . 186) (107 . 187) (108 . 188) (228 . 189) 
    (110 . 190) (111 . 191) (237 . 192) (205 . 46) (206 . 47) (207 . 48) 
    (208 . 49) (209 . 50) (229 . 247) (215 . 248) (12 . 67) (16 . 201) 
    (210 . 51) (233 . 287) (3 . 52) (4 . 53) (169 . 397) (17 . 398) (18 . 399)
    (19 . 400) (20 . 401) (21 . 402) (22 . 403) (23 . 404) (24 . 405) (27 . 
    406) (72 . 407) (242 . 408) (117 . 203) (28 . 409) (29 . 410) (245 . 411) 
    (231 . 412) (146 . 413) (147 . 414) (148 . 415) (149 . 416) (150 . 417) 
    (151 . 418) (152 . 419) (153 . 420) (154 . 421) (213 . 56) (145 . 422) 
    (141 . 423) (142 . 507) (116 . -7)) ((1 . -344)) ((227 . 234) (225 . 235) 
    (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) (220 . 240) 
    (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 67) (219 . 241) (218 . 242) (243 . 175) (244 . 176) (245 . 177) 
    (217 . 243) (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) 
    (105 . 183) (119 . 245) (238 . 185) (216 . 246) (106 . 186) (107 . 187) 
    (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (229 . 247) 
    (215 . 248) (233 . 591)) ((1 . -338)) ((114 . 590)) ((227 . 234) (225 . 
    235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) (220 . 240
    ) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 
    174) (12 . 67) (219 . 241) (218 . 242) (243 . 175) (244 . 176) (245 . 177)
    (217 . 243) (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) 
    (105 . 183) (119 . 245) (238 . 185) (216 . 246) (106 . 186) (107 . 187) 
    (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (229 . 247) 
    (215 . 248) (233 . 588) (114 . 589)) ((1 . -339)) ((1 . -335)) ((1 . -324)
    ) ((39 . 27) (40 . 28) (41 . 29) (207 . 208) (163 . 209) (166 . 587)) 
    ((1 . -330)) ((114 . 586) (1 . -33)) ((114 . 585)) ((227 . 234) (225 . 235
    ) (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) (220 . 240) 
    (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 67) (219 . 241) (218 . 242) (243 . 175) (244 . 176) (245 . 177) 
    (217 . 243) (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) 
    (105 . 183) (119 . 245) (238 . 185) (216 . 246) (106 . 186) (107 . 187) 
    (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (229 . 247) 
    (215 . 248) (233 . 582) (114 . 583) (65 . 584)) ((1 . -326)) ((118 . 581))
    ((119 . 580)) ((119 . -262) (118 . -269) (109 . -269)) ((118 . -268) 
    (109 . -268)) ((118 . -267) (109 . -267)) ((118 . -266) (109 . -266)) 
    ((118 . -264) (109 . -264)) ((109 . 579) (118 . -263)) ((118 . 578)) 
    ((118 . -256) (109 . -256)) ((3 . -249) (4 . -249) (1 . -249)) ((1 . -191)
    ) ((33 . 4) (34 . 5) (35 . 6) (180 . 23) (36 . 24) (205 . 116) (194 . 576)
    (12 . 67) (119 . 68) (245 . 69) (104 . 70) (167 . 71) (168 . 72) (84 . 348
    ) (184 . 349) (185 . 350) (186 . 577)) ((33 . 4) (34 . 5) (35 . 6) 
    (180 . 23) (36 . 24) (205 . 132) (109 . -228) (72 . -228)) ((13 . 167) 
    (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (12 . 67) (243 . 175) (244 . 176) (245 . 177) (100 . 178) (101 . 179) 
    (102 . 180) (103 . 181) (104 . 182) (105 . 183) (238 . 185) (106 . 186) 
    (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) 
    (119 . 245) (229 . 280) (227 . 234) (225 . 235) (224 . 236) (223 . 237) 
    (222 . 238) (221 . 239) (220 . 240) (219 . 241) (218 . 242) (217 . 243) 
    (216 . 246) (215 . 337) (226 . 575)) ((109 . -230) (72 . -230)) ((5 . -208
    ) (1 . -208)) ((1 . -194)) ((116 . -241) (109 . -241)) ((1 . -232)) 
    ((109 . -229) (72 . -229)) ((12 . 67) (119 . 68) (245 . 69) (104 . 70) 
    (167 . 71) (168 . 72) (84 . 348) (184 . 349) (185 . 350) (186 . 656) 
    (33 . 4) (34 . 5) (35 . 6) (180 . 23) (36 . 24) (205 . 132)) ((109 . -224)
    (72 . -224)) ((118 . -259) (109 . -259)) ((30 . 3) (42 . 7) (43 . 8) 
    (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) (49 . 14) (50 . 15) 
    (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) (55 . 21) (58 . 22) 
    (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) (61 . 32) (198 . 33) 
    (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38) (203 . 39) (204 . 40
    ) (63 . 41) (207 . 162) (208 . 163) (13 . 167) (33 . 4) (34 . 5) (35 . 6) 
    (187 . 164) (122 . 168) (12 . 67) (159 . 165) (180 . 300) (177 . 556) 
    (245 . 557) (243 . 558) (32 . 559) (235 . 560) (174 . 655)) ((30 . 3) 
    (42 . 7) (43 . 8) (44 . 9) (45 . 10) (46 . 11) (47 . 12) (48 . 13) 
    (49 . 14) (50 . 15) (51 . 16) (52 . 17) (53 . 18) (54 . 19) (56 . 20) 
    (55 . 21) (58 . 22) (39 . 27) (40 . 28) (41 . 29) (59 . 30) (60 . 31) 
    (61 . 32) (198 . 33) (199 . 34) (200 . 35) (201 . 36) (62 . 37) (202 . 38)
    (203 . 39) (204 . 40) (63 . 41) (207 . 162) (208 . 163) (13 . 167) 
    (33 . 4) (34 . 5) (35 . 6) (187 . 164) (122 . 168) (12 . 67) (159 . 165) 
    (180 . 300) (177 . 556) (245 . 557) (243 . 558) (32 . 559) (235 . 560) 
    (174 . 561) (175 . 562) (176 . 654)) ((1 . -325)) ((114 . 653)) ((1 . -328
    )) ((227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239
    ) (13 . 167) (220 . 240) (122 . 168) (7 . 169) (8 . 170) (9 . 171) 
    (10 . 172) (11 . 173) (32 . 174) (12 . 67) (219 . 241) (218 . 242) 
    (243 . 175) (244 . 176) (245 . 177) (217 . 243) (100 . 178) (101 . 179) 
    (102 . 180) (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 185) 
    (216 . 246) (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) 
    (111 . 191) (237 . 192) (229 . 247) (215 . 248) (233 . 652)) ((1 . -329)) 
    ((1 . -334)) ((114 . 650) (227 . 234) (225 . 235) (224 . 236) (223 . 237) 
    (222 . 238) (221 . 239) (13 . 167) (220 . 240) (122 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) (219 . 241)
    (218 . 242) (243 . 175) (244 . 176) (245 . 177) (217 . 243) (100 . 178) 
    (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) (119 . 245) 
    (238 . 185) (216 . 246) (106 . 186) (107 . 187) (108 . 188) (228 . 189) 
    (110 . 190) (111 . 191) (237 . 192) (229 . 247) (215 . 248) (233 . 651)) 
    ((114 . 649)) ((1 . -342)) ((1 . -337)) ((114 . 648)) ((116 . 647)) 
    ((116 . 645) (109 . 646)) ((118 . 644)) ((118 . -21) (109 . -21)) (
    (118 . -19) (109 . -19)) ((1 . -356)) ((109 . -352) (116 . -352)) (
    (227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) 
    (13 . 167) (220 . 240) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172
    ) (11 . 173) (32 . 174) (12 . 67) (219 . 241) (218 . 242) (243 . 175) 
    (244 . 176) (245 . 177) (217 . 243) (100 . 178) (101 . 179) (102 . 180) 
    (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 185) (216 . 246) 
    (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) 
    (237 . 192) (229 . 247) (215 . 248) (117 . 261) (233 . 262) (170 . 643)) 
    ((1 . -348)) ((13 . 167) (122 . 168) (115 . 640) (243 . 641) (132 . 642) 
    (1 . -409)) ((109 . 639) (118 . -408) (84 . -408)) ((118 . 635) (84 . 636)
    (131 . 637) (136 . 638)) ((1 . -398)) ((4 . -395) (3 . -395) (1 . -395)) 
    ((4 . -392) (3 . -392) (1 . -392)) ((1 . -389)) ((1 . -388)) ((72 . 634) 
    (109 . 373)) ((227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) 
    (221 . 239) (13 . 167) (220 . 240) (122 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) (219 . 241) (218 . 
    242) (243 . 175) (244 . 176) (245 . 177) (217 . 243) (100 . 178) (101 . 
    179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 
    185) (216 . 246) (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 
    190) (111 . 191) (237 . 192) (229 . 247) (215 . 248) (233 . 287) (242 . 
    632) (139 . 633) (72 . -390)) ((119 . 631)) ((118 . 630) (109 . 373)) 
    ((118 . 629) (109 . 373)) ((109 . 373) (118 . 628)) ((4 . -370) (3 . -370)
    (1 . -370)) ((227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) 
    (221 . 239) (13 . 167) (220 . 240) (122 . 168) (7 . 169) (8 . 170) 
    (9 . 171) (10 . 172) (11 . 173) (32 . 174) (219 . 241) (218 . 242) 
    (243 . 175) (244 . 176) (217 . 243) (100 . 178) (101 . 179) (102 . 180) 
    (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 185) (216 . 246) 
    (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) 
    (237 . 192) (229 . 247) (215 . 248) (12 . 67) (16 . 201) (233 . 287) 
    (3 . 52) (4 . 53) (169 . 397) (17 . 398) (18 . 399) (19 . 400) (20 . 401) 
    (21 . 402) (22 . 403) (23 . 404) (24 . 405) (27 . 406) (72 . 407) (242 . 
    408) (117 . 203) (28 . 409) (29 . 410) (245 . 411) (146 . 413) (147 . 414)
    (148 . 415) (149 . 416) (150 . 417) (151 . 418) (152 . 419) (153 . 420) 
    (154 . 421) (145 . 627)) ((227 . 234) (225 . 235) (224 . 236) (223 . 237) 
    (222 . 238) (221 . 239) (13 . 167) (220 . 240) (122 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (219 . 241) (218 . 
    242) (243 . 175) (244 . 176) (217 . 243) (100 . 178) (101 . 179) (102 . 
    180) (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 185) (216 . 
    246) (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 
    191) (237 . 192) (229 . 247) (215 . 248) (12 . 67) (16 . 201) (233 . 287) 
    (3 . 52) (4 . 53) (169 . 397) (17 . 398) (18 . 399) (19 . 400) (20 . 401) 
    (21 . 402) (22 . 403) (23 . 404) (24 . 405) (27 . 406) (72 . 407) (242 . 
    408) (117 . 203) (28 . 409) (29 . 410) (245 . 411) (146 . 413) (147 . 414)
    (148 . 415) (149 . 416) (150 . 417) (151 . 418) (152 . 419) (153 . 420) 
    (154 . 421) (145 . 626)) ((4 . -367) (3 . -367) (1 . -367)) ((4 . -371) 
    (3 . -371) (5 . -371) (1 . -371)) ((1 . -299)) ((13 . 167) (122 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) 
    (243 . 175) (244 . 176) (245 . 177) (100 . 178) (101 . 179) (102 . 180) 
    (103 . 181) (104 . 182) (105 . 183) (238 . 185) (106 . 186) (107 . 187) 
    (108 . 188) (228 . 189) (110 . 190) (111 . 191) (237 . 192) (119 . 245) 
    (229 . 280) (227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) 
    (221 . 239) (220 . 240) (219 . 241) (218 . 242) (217 . 243) (216 . 246) 
    (215 . 625)) ((1 . -39)) ((1 . -298)) ((5 . -436) (4 . -436) (3 . -436) 
    (1 . -436)) ((1 . -69)) ((4 . -368) (3 . -368) (1 . -368)) ((4 . -369) 
    (3 . -369) (1 . -369)) ((227 . 234) (225 . 235) (224 . 236) (223 . 237) 
    (222 . 238) (221 . 239) (13 . 167) (220 . 240) (122 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (219 . 241) (218 . 
    242) (243 . 175) (244 . 176) (217 . 243) (100 . 178) (101 . 179) (102 . 
    180) (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 185) (216 . 
    246) (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 
    191) (237 . 192) (229 . 247) (215 . 248) (12 . 67) (16 . 201) (233 . 287) 
    (3 . 52) (4 . 53) (169 . 397) (17 . 398) (18 . 399) (19 . 400) (20 . 401) 
    (21 . 402) (22 . 403) (23 . 404) (24 . 405) (27 . 406) (72 . 407) (242 . 
    408) (117 . 203) (28 . 409) (29 . 410) (245 . 411) (146 . 413) (147 . 414)
    (148 . 415) (149 . 416) (150 . 417) (151 . 418) (152 . 419) (153 . 420) 
    (154 . 421) (145 . 677)) ((227 . 234) (225 . 235) (224 . 236) (223 . 237) 
    (222 . 238) (221 . 239) (13 . 167) (220 . 240) (122 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (219 . 241) (218 . 
    242) (243 . 175) (244 . 176) (217 . 243) (100 . 178) (101 . 179) (102 . 
    180) (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 185) (216 . 
    246) (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 
    191) (237 . 192) (229 . 247) (215 . 248) (12 . 67) (16 . 201) (233 . 287) 
    (3 . 52) (4 . 53) (169 . 397) (17 . 398) (18 . 399) (19 . 400) (20 . 401) 
    (21 . 402) (22 . 403) (23 . 404) (24 . 405) (27 . 406) (72 . 407) (242 . 
    408) (117 . 203) (28 . 409) (29 . 410) (245 . 411) (146 . 413) (147 . 414)
    (148 . 415) (149 . 416) (150 . 417) (151 . 418) (152 . 419) (153 . 420) 
    (154 . 421) (145 . 676)) ((227 . 234) (225 . 235) (224 . 236) (223 . 237) 
    (222 . 238) (221 . 239) (13 . 167) (220 . 240) (122 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (219 . 241) (218 . 
    242) (243 . 175) (244 . 176) (217 . 243) (100 . 178) (101 . 179) (102 . 
    180) (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 185) (216 . 
    246) (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 
    191) (237 . 192) (229 . 247) (215 . 248) (12 . 67) (16 . 201) (233 . 287) 
    (3 . 52) (4 . 53) (169 . 397) (17 . 398) (18 . 399) (19 . 400) (20 . 401) 
    (21 . 402) (22 . 403) (23 . 404) (24 . 405) (27 . 406) (72 . 407) (242 . 
    408) (117 . 203) (28 . 409) (29 . 410) (245 . 411) (146 . 413) (147 . 414)
    (148 . 415) (149 . 416) (150 . 417) (151 . 418) (152 . 419) (153 . 420) 
    (154 . 421) (145 . 675)) ((227 . 234) (225 . 235) (224 . 236) (223 . 237) 
    (222 . 238) (221 . 239) (13 . 167) (220 . 240) (122 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) (219 . 241)
    (218 . 242) (243 . 175) (244 . 176) (245 . 177) (217 . 243) (100 . 178) 
    (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) (119 . 245) 
    (238 . 185) (216 . 246) (106 . 186) (107 . 187) (108 . 188) (228 . 189) 
    (110 . 190) (111 . 191) (237 . 192) (229 . 247) (215 . 248) (233 . 287) 
    (242 . 674)) ((109 . 373) (72 . -391) (118 . -391)) ((72 . 673)) ((1 . 
    -387)) ((1 . -399)) ((13 . 167) (122 . 168) (115 . 670) (243 . 671) 
    (130 . 672) (1 . -415)) ((109 . 669) (84 . -414) (118 . -414)) ((84 . 665)
    (129 . 666) (135 . 667) (118 . 668)) ((13 . 167) (122 . 168) (115 . 640) 
    (243 . 641) (132 . 664)) ((12 . 67) (245 . 663)) ((119 . 662)) ((1 . -410)
    ) ((109 . -351) (116 . -351)) ((1 . -31)) ((1 . -16)) ((116 . 661) 
    (227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239) 
    (13 . 167) (220 . 240) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172
    ) (11 . 173) (32 . 174) (12 . 67) (219 . 241) (218 . 242) (243 . 175) 
    (244 . 176) (245 . 177) (217 . 243) (100 . 178) (101 . 179) (102 . 180) 
    (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 185) (216 . 246) 
    (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) 
    (237 . 192) (229 . 247) (215 . 248) (117 . 261) (233 . 262) (170 . 598) 
    (113 . 387) (115 . 388) (155 . 389) (156 . 390) (157 . 599)) ((118 . 660))
    ((1 . -343)) ((1 . -341)) ((1 . -332)) ((114 . 659)) ((114 . 658)) 
    ((1 . -327)) ((118 . 657)) ((118 . -265) (109 . -265)) ((109 . -225) 
    (72 . -225)) ((118 . -270) (109 . -270)) ((1 . -333)) ((1 . -331)) 
    ((1 . -5)) ((1 . -17)) ((12 . 67) (245 . 691)) ((114 . 690)) ((1 . -411)) 
    ((13 . 167) (122 . 168) (243 . 689) (1 . -421)) ((109 . 688) (118 . -420) 
    (84 . -420)) ((118 . 684) (84 . 685) (128 . 686) (134 . 687)) ((1 . -400))
    ((13 . 167) (122 . 168) (115 . 670) (243 . 671) (130 . 683)) ((12 . 67) 
    (245 . 682)) ((119 . 681)) ((1 . -416)) ((227 . 234) (225 . 235) (224 . 
    236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) (220 . 240) (122 . 168
    ) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67)
    (219 . 241) (218 . 242) (243 . 175) (244 . 176) (245 . 177) (217 . 243) 
    (100 . 178) (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) 
    (119 . 245) (238 . 185) (216 . 246) (106 . 186) (107 . 187) (108 . 188) 
    (228 . 189) (110 . 190) (111 . 191) (237 . 192) (229 . 247) (215 . 248) 
    (233 . 287) (242 . 632) (139 . 680) (118 . -390)) ((118 . 679) (109 . 373)
    ) ((4 . -384) (3 . -384) (1 . -384)) ((4 . -383) (3 . -383) (1 . -383)) 
    ((25 . 678) (4 . -381) (3 . -381) (1 . -381)) ((227 . 234) (225 . 235) 
    (224 . 236) (223 . 237) (222 . 238) (221 . 239) (13 . 167) (220 . 240) 
    (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174)
    (219 . 241) (218 . 242) (243 . 175) (244 . 176) (217 . 243) (100 . 178) 
    (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) (119 . 245) 
    (238 . 185) (216 . 246) (106 . 186) (107 . 187) (108 . 188) (228 . 189) 
    (110 . 190) (111 . 191) (237 . 192) (229 . 247) (215 . 248) (12 . 67) 
    (16 . 201) (233 . 287) (3 . 52) (4 . 53) (169 . 397) (17 . 398) (18 . 399)
    (19 . 400) (20 . 401) (21 . 402) (22 . 403) (23 . 404) (24 . 405) (27 . 
    406) (72 . 407) (242 . 408) (117 . 203) (28 . 409) (29 . 410) (245 . 411) 
    (146 . 413) (147 . 414) (148 . 415) (149 . 416) (150 . 417) (151 . 418) 
    (152 . 419) (153 . 420) (154 . 421) (145 . 702)) ((72 . 701)) ((118 . 700)
    ) ((227 . 234) (225 . 235) (224 . 236) (223 . 237) (222 . 238) (221 . 239)
    (13 . 167) (220 . 240) (122 . 168) (7 . 169) (8 . 170) (9 . 171) (10 . 172
    ) (11 . 173) (32 . 174) (12 . 67) (219 . 241) (218 . 242) (243 . 175) 
    (244 . 176) (245 . 177) (217 . 243) (100 . 178) (101 . 179) (102 . 180) 
    (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 185) (216 . 246) 
    (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) (111 . 191) 
    (237 . 192) (229 . 247) (215 . 248) (233 . 287) (242 . 699)) ((114 . 698))
    ((1 . -417)) ((1 . -401)) ((12 . 67) (245 . 697) (118 . -425) (109 . -425)
    ) ((109 . 696) (118 . -424)) ((118 . 695)) ((13 . 167) (122 . 168) 
    (243 . 694)) ((1 . -422)) ((13 . 167) (122 . 168) (243 . 693)) ((118 . 692
    )) ((1 . -412)) ((119 . 707)) ((1 . -423)) ((1 . -402)) ((12 . 67) 
    (245 . 706)) ((118 . -426) (109 . -426)) ((13 . 167) (122 . 168) (243 . 
    705)) ((118 . 704) (109 . 373)) ((227 . 234) (225 . 235) (224 . 236) 
    (223 . 237) (222 . 238) (221 . 239) (13 . 167) (220 . 240) (122 . 168) 
    (7 . 169) (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (219 . 241)
    (218 . 242) (243 . 175) (244 . 176) (217 . 243) (100 . 178) (101 . 179) 
    (102 . 180) (103 . 181) (104 . 182) (105 . 183) (119 . 245) (238 . 185) 
    (216 . 246) (106 . 186) (107 . 187) (108 . 188) (228 . 189) (110 . 190) 
    (111 . 191) (237 . 192) (229 . 247) (215 . 248) (12 . 67) (16 . 201) 
    (233 . 287) (3 . 52) (4 . 53) (169 . 397) (17 . 398) (18 . 399) (19 . 400)
    (20 . 401) (21 . 402) (22 . 403) (23 . 404) (24 . 405) (27 . 406) (72 . 
    407) (242 . 408) (117 . 203) (28 . 409) (29 . 410) (245 . 411) (146 . 413)
    (147 . 414) (148 . 415) (149 . 416) (150 . 417) (151 . 418) (152 . 419) 
    (153 . 420) (154 . 421) (145 . 703)) ((4 . -385) (3 . -385) (1 . -385)) 
    ((4 . -382) (3 . -382) (1 . -382)) ((4 . -386) (3 . -386) (1 . -386)) 
    ((1 . -418)) ((119 . 709)) ((118 . -427) (109 . -427)) ((12 . 67) (245 . 
    708)) ((118 . 711)) ((227 . 234) (225 . 235) (224 . 236) (223 . 237) 
    (222 . 238) (221 . 239) (13 . 167) (220 . 240) (122 . 168) (7 . 169) 
    (8 . 170) (9 . 171) (10 . 172) (11 . 173) (32 . 174) (12 . 67) (219 . 241)
    (218 . 242) (243 . 175) (244 . 176) (245 . 177) (217 . 243) (100 . 178) 
    (101 . 179) (102 . 180) (103 . 181) (104 . 182) (105 . 183) (119 . 245) 
    (238 . 185) (216 . 246) (106 . 186) (107 . 187) (108 . 188) (228 . 189) 
    (110 . 190) (111 . 191) (237 . 192) (229 . 247) (215 . 248) (233 . 287) 
    (242 . 710)) ((118 . 712) (109 . 373)) ((1 . -413)) ((1 . -419))))

(define c99-tables
  (list
   (cons 'mtab c99-mtab)
   (cons 'ntab c99-ntab)
   (cons 'len-v c99-len-v)
   (cons 'rto-v c99-rto-v)
   (cons 'pat-v c99-pat-v)
   ))

;;; end tables
